$(() => {
const salesPivotGrid = $('#sales').dxPivotGrid({
allowSortingBySummary: true,
allowSorting: true,
allowFiltering: true,
showBorders: true,
dataSource: {
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
selector(data) {
return `${data.city} (${data.country})`;
},
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}],
store: sales,
},
fieldChooser: {
enabled: false,
},
}).dxPivotGrid('instance');
const salesFieldChooser = $('#sales-fieldchooser').dxPivotGridFieldChooser({
dataSource: salesPivotGrid.getDataSource(),
texts: {
allFields: 'All',
columnFields: 'Columns',
dataFields: 'Data',
rowFields: 'Rows',
filterFields: 'Filter',
},
width: 400,
height: 400,
}).dxPivotGridFieldChooser('instance');
const applyButton = $('#applyButton').dxButton({
text: 'Apply',
visible: false,
type: 'default',
onClick() {
salesFieldChooser.applyChanges();
},
}).dxButton('instance');
const cancelButton = $('#cancelButton').dxButton({
text: 'Cancel',
visible: false,
onClick() {
salesFieldChooser.cancelChanges();
},
}).dxButton('instance');
$('#layouts').dxRadioGroup({
items: layouts,
layout: 'vertical',
valueExpr: 'key',
displayExpr: 'name',
value: 0,
onValueChanged(e) {
salesFieldChooser.option('layout', e.value);
},
});
$('#applyChangesMode').dxSelectBox({
items: ['instantly', 'onDemand'],
width: 180,
value: 'instantly',
inputAttr: { 'aria-label': 'Apply Changes Mode' },
onValueChanged(data) {
salesFieldChooser.option('applyChangesMode', data.value);
applyButton.option('visible', data.value === 'onDemand');
cancelButton.option('visible', data.value === 'onDemand');
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/23.1.6/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="sales"></div>
<div class="container">
<div id="sales-fieldchooser"></div>
<div class="bottom-bar">
<div id="applyButton"></div>
<div id="cancelButton"></div>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Choose layout:</span>
<div class="option-editor" id="layouts"></div>
</div>
<div class="option">
<span>Apply Changes Mode:</span>
<div class="option-editor" id="applyChangesMode"></div>
</div>
</div>
</div>
</div>
</body>
</html>
.container {
position: relative;
margin-top: 20px;
margin-bottom: 20px;
}
.bottom-bar {
width: 396px;
text-align: right;
margin-top: 5px;
}
#applyButton {
margin-right: 10px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
top: 29px;
bottom: 3px;
left: 420px;
width: 180px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option-editor {
margin-top: 5px;
}
const sales = [{
orderId: 1,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
orderId: 2,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
orderId: 3,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
orderId: 4,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
orderId: 5,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
orderId: 6,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
orderId: 7,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
orderId: 8,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
orderId: 9,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
orderId: 10,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
orderId: 11,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
orderId: 12,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2260,
date: '2013/01/01',
}, {
orderId: 13,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2910,
date: '2013/01/26',
}, {
orderId: 14,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
orderId: 15,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
orderId: 16,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
orderId: 17,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
orderId: 18,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
orderId: 19,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
orderId: 20,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
orderId: 21,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
orderId: 22,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
orderId: 23,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
orderId: 24,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
orderId: 25,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
orderId: 26,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
orderId: 27,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
orderId: 28,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
orderId: 29,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
orderId: 30,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
orderId: 31,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
orderId: 32,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
orderId: 33,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
orderId: 34,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
orderId: 35,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
orderId: 36,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
orderId: 37,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5840,
date: '2013/02/13',
}, {
orderId: 38,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6750,
date: '2013/02/11',
}, {
orderId: 39,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
orderId: 40,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
orderId: 41,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
orderId: 42,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
orderId: 43,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
orderId: 44,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
orderId: 45,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
orderId: 46,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
orderId: 47,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
orderId: 48,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
orderId: 49,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
orderId: 50,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
orderId: 51,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
orderId: 52,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
orderId: 53,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
orderId: 54,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
orderId: 55,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
orderId: 56,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
orderId: 57,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
orderId: 58,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
orderId: 59,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2000,
date: '2013/03/07',
}, {
orderId: 60,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1410,
date: '2013/03/10',
}, {
orderId: 61,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
orderId: 62,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
orderId: 63,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
orderId: 64,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
orderId: 65,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
orderId: 66,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
orderId: 67,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
orderId: 68,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
orderId: 69,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
orderId: 70,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3080,
date: '2013/03/22',
}, {
orderId: 71,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
orderId: 72,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2013/03/04',
}, {
orderId: 73,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
orderId: 74,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
orderId: 75,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
orderId: 76,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
orderId: 77,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
orderId: 78,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
orderId: 79,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
orderId: 80,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
orderId: 81,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
orderId: 82,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
orderId: 83,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
orderId: 84,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1520,
date: '2013/04/08',
}, {
orderId: 85,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8760,
date: '2013/04/26',
}, {
orderId: 86,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
orderId: 87,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
orderId: 88,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
orderId: 89,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
orderId: 90,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
orderId: 91,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
orderId: 92,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
orderId: 93,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
orderId: 94,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
orderId: 95,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
orderId: 96,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
orderId: 97,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
orderId: 98,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
orderId: 99,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
orderId: 100,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
orderId: 101,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
orderId: 102,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
orderId: 103,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
orderId: 104,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
orderId: 105,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
orderId: 106,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
orderId: 107,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
orderId: 108,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4700,
date: '2013/05/03',
}, {
orderId: 109,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2013/05/12',
}, {
orderId: 110,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
orderId: 111,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
orderId: 112,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
orderId: 113,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
orderId: 114,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
orderId: 115,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
orderId: 116,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
orderId: 117,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
orderId: 118,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
orderId: 119,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
orderId: 120,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
orderId: 121,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
orderId: 122,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
orderId: 123,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
orderId: 124,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
orderId: 125,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
orderId: 126,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
orderId: 127,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5100,
date: '2013/06/01',
}, {
orderId: 128,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1500,
date: '2013/06/25',
}, {
orderId: 129,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
orderId: 130,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
orderId: 131,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
orderId: 132,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
orderId: 133,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
orderId: 134,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
orderId: 135,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4280,
date: '2013/06/19',
}, {
orderId: 136,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
orderId: 137,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
orderId: 138,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
orderId: 139,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
orderId: 140,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
orderId: 141,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
orderId: 142,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
orderId: 143,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
orderId: 144,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
orderId: 145,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
orderId: 146,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
orderId: 147,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
orderId: 148,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
orderId: 149,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
orderId: 150,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
orderId: 151,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2400,
date: '2013/07/11',
}, {
orderId: 152,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3330,
date: '2013/07/04',
}, {
orderId: 153,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
orderId: 154,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
orderId: 155,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
orderId: 156,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
orderId: 157,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
orderId: 158,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
orderId: 159,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
orderId: 160,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
orderId: 161,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
orderId: 162,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
orderId: 163,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
orderId: 164,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
orderId: 165,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
orderId: 166,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
orderId: 167,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
orderId: 168,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
orderId: 169,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
orderId: 170,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
orderId: 171,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5200,
date: '2013/08/21',
}, {
orderId: 172,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2013/08/17',
}, {
orderId: 173,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
orderId: 174,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
orderId: 175,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
orderId: 176,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
orderId: 177,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
orderId: 178,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
orderId: 179,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
orderId: 180,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
orderId: 181,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
orderId: 182,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
orderId: 183,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
orderId: 184,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
orderId: 185,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
orderId: 186,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
orderId: 187,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
orderId: 188,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 189,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
orderId: 190,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
orderId: 191,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
orderId: 192,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
orderId: 193,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
orderId: 194,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
orderId: 195,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
orderId: 196,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4320,
date: '2013/09/25',
}, {
orderId: 197,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7530,
date: '2013/09/13',
}, {
orderId: 198,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 199,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
orderId: 200,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
orderId: 201,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
orderId: 202,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
orderId: 203,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
orderId: 204,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
orderId: 205,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
orderId: 206,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
orderId: 207,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
orderId: 208,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
orderId: 209,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
orderId: 210,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
orderId: 211,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
orderId: 212,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
orderId: 213,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
orderId: 214,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
orderId: 215,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
orderId: 216,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3480,
date: '2013/10/08',
}, {
orderId: 217,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4830,
date: '2013/10/26',
}, {
orderId: 218,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
orderId: 219,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
orderId: 220,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
orderId: 221,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
orderId: 222,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
orderId: 223,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
orderId: 224,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
orderId: 225,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
orderId: 226,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
orderId: 227,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
orderId: 228,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
orderId: 229,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
orderId: 230,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
orderId: 231,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
orderId: 232,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
orderId: 233,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
orderId: 234,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
orderId: 235,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
orderId: 236,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5340,
date: '2013/11/13',
}, {
orderId: 237,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2013/11/01',
}, {
orderId: 238,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
orderId: 239,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
orderId: 240,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
orderId: 241,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
orderId: 242,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
orderId: 243,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
orderId: 244,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
orderId: 245,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
orderId: 246,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
orderId: 247,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
orderId: 248,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
orderId: 249,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
orderId: 250,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
orderId: 251,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
orderId: 252,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
orderId: 253,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
orderId: 254,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
orderId: 255,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
orderId: 256,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5520,
date: '2013/12/25',
}, {
orderId: 257,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 9210,
date: '2013/12/24',
}, {
orderId: 258,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
orderId: 259,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
orderId: 260,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
orderId: 261,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
orderId: 262,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
orderId: 263,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
orderId: 264,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
orderId: 265,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
orderId: 266,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
orderId: 267,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
orderId: 268,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
orderId: 269,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2013/12/02',
}, {
orderId: 270,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
orderId: 271,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
orderId: 272,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
orderId: 273,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
orderId: 274,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
orderId: 275,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
orderId: 276,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
orderId: 277,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
orderId: 278,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
orderId: 279,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
orderId: 280,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
orderId: 281,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5320,
date: '2014/01/08',
}, {
orderId: 282,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 4050,
date: '2014/01/14',
}, {
orderId: 283,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
orderId: 284,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
orderId: 285,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
orderId: 286,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
orderId: 287,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
orderId: 288,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
orderId: 289,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
orderId: 290,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
orderId: 291,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
orderId: 292,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
orderId: 293,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
orderId: 294,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
orderId: 295,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
orderId: 296,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
orderId: 297,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
orderId: 298,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
orderId: 299,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
orderId: 300,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1780,
date: '2014/02/26',
}, {
orderId: 301,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8700,
date: '2014/02/03',
}, {
orderId: 302,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
orderId: 303,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
orderId: 304,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
orderId: 305,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
orderId: 306,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
orderId: 307,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
orderId: 308,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
orderId: 309,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
orderId: 310,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
orderId: 311,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
orderId: 312,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
orderId: 313,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
orderId: 314,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
orderId: 315,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
orderId: 316,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
orderId: 317,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
orderId: 318,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
orderId: 319,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
orderId: 320,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
orderId: 321,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5140,
date: '2014/03/05',
}, {
orderId: 322,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6210,
date: '2014/03/19',
}, {
orderId: 323,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
orderId: 324,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
orderId: 325,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
orderId: 326,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
orderId: 327,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
orderId: 328,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
orderId: 329,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
orderId: 330,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
orderId: 331,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
orderId: 332,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
orderId: 333,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
orderId: 334,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
orderId: 335,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
orderId: 336,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
orderId: 337,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
orderId: 338,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
orderId: 339,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
orderId: 340,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
orderId: 341,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
orderId: 342,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1960,
date: '2014/04/16',
}, {
orderId: 343,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2250,
date: '2014/04/23',
}, {
orderId: 344,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
orderId: 345,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
orderId: 346,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
orderId: 347,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
orderId: 348,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
orderId: 349,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
orderId: 350,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
orderId: 351,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
orderId: 352,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3200,
date: '2014/04/08',
}, {
orderId: 353,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
orderId: 354,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
orderId: 355,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
orderId: 356,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
orderId: 357,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
orderId: 358,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
orderId: 359,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
orderId: 360,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
orderId: 361,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
orderId: 362,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
orderId: 363,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
orderId: 364,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
orderId: 365,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
orderId: 366,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 3760,
date: '2014/05/18',
}, {
orderId: 367,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7920,
date: '2014/05/22',
}, {
orderId: 368,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
orderId: 369,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
orderId: 370,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
orderId: 371,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
orderId: 372,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
orderId: 373,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
orderId: 374,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8370,
date: '2014/05/06',
}, {
orderId: 375,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
orderId: 376,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
orderId: 377,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
orderId: 378,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
orderId: 379,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
orderId: 380,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
orderId: 381,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
orderId: 382,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
orderId: 383,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
orderId: 384,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
orderId: 385,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
orderId: 386,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1720,
date: '2014/06/09',
}, {
orderId: 387,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2880,
date: '2014/06/21',
}, {
orderId: 388,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
orderId: 389,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
orderId: 390,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
orderId: 391,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
orderId: 392,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
orderId: 393,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
orderId: 394,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
orderId: 395,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
orderId: 396,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
orderId: 397,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
orderId: 398,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
orderId: 399,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
orderId: 400,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
orderId: 401,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
orderId: 402,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
orderId: 403,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
orderId: 404,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
orderId: 405,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
orderId: 406,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
orderId: 407,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
orderId: 408,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 5240,
date: '2014/07/11',
}, {
orderId: 409,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 1200,
date: '2014/07/21',
}, {
orderId: 410,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
orderId: 411,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
orderId: 412,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
orderId: 413,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
orderId: 414,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
orderId: 415,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
orderId: 416,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5520,
date: '2014/07/21',
}, {
orderId: 417,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
orderId: 418,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
orderId: 419,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
orderId: 420,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 3270,
date: '2014/07/12',
}, {
orderId: 421,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
orderId: 422,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
orderId: 423,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
orderId: 424,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
orderId: 425,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
orderId: 426,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
orderId: 427,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
orderId: 428,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
orderId: 429,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
orderId: 430,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
orderId: 431,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
orderId: 432,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2320,
date: '2014/08/18',
}, {
orderId: 433,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 7590,
date: '2014/08/24',
}, {
orderId: 434,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
orderId: 435,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
orderId: 436,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
orderId: 437,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
orderId: 438,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
orderId: 439,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
orderId: 440,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
orderId: 441,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
orderId: 442,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
orderId: 443,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
orderId: 444,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
orderId: 445,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
orderId: 446,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
orderId: 447,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
orderId: 448,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
orderId: 449,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
orderId: 450,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
orderId: 451,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
orderId: 452,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
orderId: 453,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1320,
date: '2014/09/18',
}, {
orderId: 454,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8610,
date: '2014/09/19',
}, {
orderId: 455,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
orderId: 456,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
orderId: 457,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
orderId: 458,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
orderId: 459,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
orderId: 460,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
orderId: 461,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
orderId: 462,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
orderId: 463,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
orderId: 464,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
orderId: 465,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
orderId: 466,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
orderId: 467,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
orderId: 468,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
orderId: 469,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
orderId: 470,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
orderId: 471,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
orderId: 472,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
orderId: 473,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
orderId: 474,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2014/10/24',
}, {
orderId: 475,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2670,
date: '2014/10/04',
}, {
orderId: 476,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
orderId: 477,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
orderId: 478,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
orderId: 479,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
orderId: 480,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
orderId: 481,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
orderId: 482,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
orderId: 483,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
orderId: 484,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
orderId: 485,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
orderId: 486,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
orderId: 487,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
orderId: 488,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
orderId: 489,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
orderId: 490,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
orderId: 491,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
orderId: 492,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
orderId: 493,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
orderId: 494,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
orderId: 495,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
orderId: 496,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2820,
date: '2014/11/13',
}, {
orderId: 497,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 2280,
date: '2014/11/12',
}, {
orderId: 498,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
orderId: 499,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
orderId: 500,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
orderId: 501,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
orderId: 502,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
orderId: 503,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
orderId: 504,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
orderId: 505,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
orderId: 506,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
orderId: 507,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
orderId: 508,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
orderId: 509,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
orderId: 510,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
orderId: 511,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
orderId: 512,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
orderId: 513,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
orderId: 514,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
orderId: 515,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
orderId: 516,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
orderId: 517,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
orderId: 518,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
orderId: 519,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 4880,
date: '2014/12/13',
}, {
orderId: 520,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8850,
date: '2014/12/03',
}, {
orderId: 521,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
orderId: 522,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
orderId: 523,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
orderId: 524,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
orderId: 525,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
orderId: 526,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
orderId: 527,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
orderId: 528,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
orderId: 529,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
orderId: 530,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
orderId: 531,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
orderId: 532,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
orderId: 533,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
orderId: 534,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
orderId: 535,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
orderId: 536,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
orderId: 537,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
orderId: 538,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
orderId: 539,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
orderId: 540,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
orderId: 541,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
orderId: 542,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
orderId: 543,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
orderId: 544,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1460,
date: '2015/01/22',
}, {
orderId: 545,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5040,
date: '2015/01/10',
}, {
orderId: 546,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
orderId: 547,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
orderId: 548,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
orderId: 549,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
orderId: 550,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
orderId: 551,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
orderId: 552,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
orderId: 553,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
orderId: 554,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
orderId: 555,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
orderId: 556,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
orderId: 557,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
orderId: 558,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
orderId: 559,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
orderId: 560,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
orderId: 561,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
orderId: 562,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
orderId: 563,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
orderId: 564,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
orderId: 565,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
orderId: 566,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
orderId: 567,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
orderId: 568,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1880,
date: '2015/02/24',
}, {
orderId: 569,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6180,
date: '2015/02/26',
}, {
orderId: 570,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
orderId: 571,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
orderId: 572,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
orderId: 573,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
orderId: 574,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
orderId: 575,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
orderId: 576,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
orderId: 577,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
orderId: 578,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
orderId: 579,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
orderId: 580,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
orderId: 581,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
orderId: 582,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
orderId: 583,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
orderId: 584,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
orderId: 585,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
orderId: 586,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
orderId: 587,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 6300,
date: '2015/03/20',
}, {
orderId: 588,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 8670,
date: '2015/03/07',
}, {
orderId: 589,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
orderId: 590,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
orderId: 591,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
orderId: 592,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
orderId: 593,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
orderId: 594,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
orderId: 595,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
orderId: 596,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
orderId: 597,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
orderId: 598,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
orderId: 599,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
orderId: 600,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
orderId: 601,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
orderId: 602,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
orderId: 603,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
orderId: 604,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
orderId: 605,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
orderId: 606,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
orderId: 607,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
orderId: 608,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 2940,
date: '2015/04/04',
}, {
orderId: 609,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5580,
date: '2015/04/16',
}, {
orderId: 610,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
orderId: 611,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
orderId: 612,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
orderId: 613,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
orderId: 614,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
orderId: 615,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
orderId: 616,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
orderId: 617,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
orderId: 618,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 5190,
date: '2015/04/10',
}, {
orderId: 619,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
orderId: 620,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
orderId: 621,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
orderId: 622,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
orderId: 623,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
orderId: 624,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
orderId: 625,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
orderId: 626,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
orderId: 627,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
orderId: 628,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
orderId: 629,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
orderId: 630,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
orderId: 631,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
orderId: 632,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
orderId: 633,
region: 'Europe',
country: 'RUS',
city: 'Moscow',
amount: 1400,
date: '2015/05/22',
}, {
orderId: 634,
region: 'Asia',
country: 'CHN',
city: 'Beijing',
amount: 6060,
date: '2015/05/22',
}, {
orderId: 635,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
orderId: 636,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
orderId: 637,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
orderId: 638,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
orderId: 639,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
orderId: 640,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
orderId: 641,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
const layouts = [{
key: 0,
name: 'Layout0',
}, {
key: 1,
name: 'Layout1',
}, {
key: 2,
name: 'Layout2',
}];

-
Data Grid
- Overview
-
Data Binding
-
Paging and Scrolling
-
Editing
-
Grouping
-
Filtering and Sorting
- Focused Row
-
Row Drag & Drop
-
Selection
-
Columns
- State Persistence
-
Appearance
-
Templates
-
Data Summaries
-
Master-Detail
-
Export to PDF
-
Export to Excel
-
Adaptability
- Keyboard Navigation
-
Pivot Grid
- Overview
-
Data Binding
-
Field Chooser
-
Features
-
Export to Excel
-
Tree List
- Overview
-
Data Binding
- Sorting
- Paging
-
Editing
- Node Drag & Drop
- Focused Row
-
Selection
-
Filtering
-
Column Customization
- State Persistence
- Adaptability
- Keyboard Navigation
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Features
- Virtual Scrolling
-
Grouping
-
Customization
- Adaptability
-
Html Editor
-
Chat
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
Charts
- Overview
-
Data Binding
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Line Charts
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
-
Sparkline Charts
-
Tree Map
-
Funnel and Pyramid Charts
- Sankey Chart
-
Combinations
-
More Features
-
Export
-
Selection
-
Tooltips
-
Zooming
-
-
Gantt
- Overview
-
Data
-
UI Customization
- Strip Lines
- Export to PDF
- Sorting
-
Filtering
-
Gauges
- Overview
-
Data Binding
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Navigation
- Overview
- Accordion
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
- Pagination
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
- Resizable
-
-
Editors
- Overview
- Autocomplete
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Drop Down Box
-
Number Box
-
Select Box
- Switch
-
Tag Box
- Text Area
- Text Box
- Validation
- Custom Text Editor Buttons
- Right-to-Left Support
- Editor Appearance Variants
-
Forms and Multi-Purpose
- Overview
- Button Group
- Field Set
-
Filter Builder
-
Form
- Radio Group
-
Range Selector
- Numeric Scale (Lightweight)
- Numeric Scale
- Date-Time Scale (Lightweight)
- Date-Time Scale
- Logarithmic Scale
- Discrete scale
- Custom Formatting
- Use Range Selection for Calculation
- Use Range Selection for Filtering
- Image on Background
- Chart on Background
- Customized Chart on Background
- Chart on Background with Series Template
- Range Slider
- Slider
-
Sortable
-
File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Actions and Lists
- Overview
-
Action Sheet
-
Button
- Floating Action Button
- Drop Down Button
-
Context Menu
-
List
-
Lookup
-
Maps
- Overview
-
Map
-
Vector Map
-
Dialogs and Notifications
-
Localization
React Pivot Grid - Standalone Field Chooser
DevExtreme includes a standalone PivotGridFieldChooser component. Unlike its integrated counterpart, the standalone field chooser can remain visible on the page at all times.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
import React, { useRef, useState } from 'react';
import {
PivotGrid,
FieldChooser,
} from 'devextreme-react/pivot-grid';
import {
PivotGridFieldChooser,
Texts,
PivotGridFieldChooserRef,
} from 'devextreme-react/pivot-grid-field-chooser';
import {
SelectBox,
} from 'devextreme-react/select-box';
import {
Button,
} from 'devextreme-react/button';
import {
RadioGroup,
} from 'devextreme-react/radio-group';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import { ApplyChangesMode } from 'devextreme-react/common/grids';
import { FieldChooserLayout } from 'devextreme-react/common';
import service from './data.ts';
const applyChangesModeLabel = { 'aria-label': 'Apply Changes Mode' };
const applyChangesModes = ['instantly', 'onDemand'];
const layouts = service.getLayouts();
const App = () => {
const [applyChangesMode, setApplyChangesMode] = useState<ApplyChangesMode>('instantly');
const [layout, setLayout] = useState<FieldChooserLayout>(0);
const fieldChooserRef = useRef<PivotGridFieldChooserRef>(null);
return (
<React.Fragment>
<PivotGrid
dataSource={dataSource}
allowSortingBySummary={true}
allowFiltering={true}
allowSorting={true}
showBorders={true}
>
<FieldChooser enabled={false} />
</PivotGrid>
<div className="container">
<PivotGridFieldChooser
ref={fieldChooserRef}
dataSource={dataSource}
width={400}
height={400}
layout={layout}
applyChangesMode={applyChangesMode}
>
<Texts
allFields="All"
columnFields="Columns"
dataFields="Data"
rowFields="Rows"
filterFields="Filter"
></Texts>
</PivotGridFieldChooser>
{ applyChangesMode === 'onDemand'
&& <div className="bottom-bar">
<Button
text="Apply"
type="default"
onClick={() => fieldChooserRef.current.instance().applyChanges()}
></Button>
<Button
text="Cancel"
onClick={() => fieldChooserRef.current.instance().cancelChanges()}
></Button>
</div>
}
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Choose layout:</span>
<RadioGroup
items={layouts}
value={layout}
className="option-editor"
layout="vertical"
valueExpr="key"
displayExpr="name"
onValueChange={setLayout}>
</RadioGroup>
</div>
<div className="option">
<span>Apply Changes Mode:</span>
<SelectBox
className="option-editor"
items={applyChangesModes}
inputAttr={applyChangesModeLabel}
width={180}
value={applyChangesMode}
onValueChange={setApplyChangesMode}>
</SelectBox>
</div>
</div>
</div>
</React.Fragment>
);
};
const dataSource = new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
selector(data: { city: any; country: any; }) {
return `${data.city} (${data.country})`;
},
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}],
store: service.getSales(),
});
export default App;
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
xxxxxxxxxx
Follow the steps below to connect the PivotGridFieldChooser with the PivotGrid:
-
Bind both components to the same data source
Assign the same PivotGridDataSource instance to the dataSource property of both components. -
(Optional) Disable the integrated field chooser
Both field choosers can work simultaneously, but if you want to disable the integrated version, set the PivotGrid's fieldChooser.enabled property to false. -
(Optional) Apply field changes on demand
When users move fields within the field chooser, the changes are applied to the connected PivotGrid instantly. To change this behavior, set the applyChangesMode to "onDemand". In this mode, the changes are applied/canceled only when you call the applyChanges()/cancelChanges() method or set a new state. You can add a UI for these methods. For example, in this demo, they are bound to the Apply and Cancel buttons. Select "onDemand" from the Apply Changes Mode drop-down menu to display these buttons.
The standalone and integrated field choosers share features. For example, both field choosers include three layouts. You can use the radio buttons to switch between field choosers and review the differences. For information about other available features, refer to the Integrated Field Chooser demo.

<dx-pivot-grid
[allowSortingBySummary]="true"
[allowSorting]="true"
[allowFiltering]="true"
[showBorders]="true"
[dataSource]="pivotGridDataSource"
>
<dxo-pivot-grid-field-chooser
[enabled]="false"
></dxo-pivot-grid-field-chooser>
</dx-pivot-grid>
<div class="container">
<dx-pivot-grid-field-chooser
[dataSource]="pivotGridDataSource"
[width]="400"
[height]="400"
[layout]="layout"
[applyChangesMode]="applyChangesMode"
[(state)]="state"
>
<dxo-pivot-grid-field-chooser-texts
allFields="All"
columnFields="Columns"
dataFields="Data"
rowFields="Rows"
filterFields="Filter"
>
</dxo-pivot-grid-field-chooser-texts>
</dx-pivot-grid-field-chooser>
@if (applyChangesMode === 'onDemand') {
<div class="bottom-bar">
<dx-button
id="applyButton"
text="Apply"
type="default"
(onClick)="applyClick()"
>
</dx-button>
<dx-button text="Cancel" (onClick)="cancelClick()"> </dx-button>
</div>
}
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Choose layout:</span>
<dx-radio-group
class="option-editor"
id="layouts"
[items]="layouts"
layout="vertical"
valueExpr="key"
displayExpr="name"
[(value)]="layout"
>
</dx-radio-group>
</div>
<div class="option">
<span>Apply Changes Mode:</span>
<dx-select-box
class="option-editor"
[inputAttr]="{ 'aria-label': 'Apply Changes Mode' }"
[items]="applyChangesModes"
width="180"
[(value)]="applyChangesMode"
>
</dx-select-box>
</div>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import {
DxPivotGridFieldChooserModule,
DxRadioGroupModule,
DxButtonModule,
DxSelectBoxModule,
} from 'devextreme-angular';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import { DxPivotGridModule, DxPivotGridTypes } from 'devextreme-angular/ui/pivot-grid';
import { Service, Layout, Sale } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
preserveWhitespaces: true,
imports: [
DxPivotGridModule,
DxRadioGroupModule,
DxPivotGridFieldChooserModule,
DxSelectBoxModule,
DxButtonModule,
],
})
export class AppComponent {
pivotGridDataSource: PivotGridDataSource;
layouts: Layout[];
layout = 0;
applyChangesModes: DxPivotGridTypes.ApplyChangesMode[] = ['instantly', 'onDemand'];
applyChangesMode = this.applyChangesModes[0];
state: Record<string, unknown>;
constructor(service: Service) {
this.pivotGridDataSource = new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
selector(data: Sale) {
return `${data.city} (${data.country})`;
},
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}],
store: service.getSales(),
});
this.state = this.pivotGridDataSource.state();
this.layouts = service.getLayouts();
}
applyClick() {
this.pivotGridDataSource.state(this.state);
}
cancelClick() {
this.state = this.pivotGridDataSource.state();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep .container {
position: relative;
margin-top: 20px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
top: 29px;
bottom: 5px;
left: 420px;
width: 180px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
::ng-deep .bottom-bar {
width: 396px;
text-align: right;
margin-top: 5px;
}
::ng-deep #applyButton {
margin-right: 10px;
}
::ng-deep .option-editor {
margin-top: 5px;
}
import { Injectable } from '@angular/core';
import type { DxPivotGridTypes } from 'devextreme-angular/ui/pivot-grid';
export class Sale {
orderId: number;
region: string;
country: string;
city: string;
amount: number;
date: string;
}
export class Layout {
key: DxPivotGridTypes.FieldChooserLayout;
name: string;
}
const sales: Sale[] = [{
orderId: 1,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2023/01/06',
}, {
orderId: 2,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 850,
date: '2023/01/13',
}, {
orderId: 3,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2235,
date: '2023/01/07',
}, {
orderId: 4,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1965,
date: '2023/01/03',
}, {
orderId: 5,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 880,
date: '2023/01/10',
}, {
orderId: 6,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5260,
date: '2023/01/17',
}, {
orderId: 7,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2790,
date: '2023/01/21',
}, {
orderId: 8,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 3140,
date: '2023/01/01',
}, {
orderId: 9,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6175,
date: '2023/01/24',
}, {
orderId: 10,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4575,
date: '2023/01/11',
}, {
orderId: 11,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3680,
date: '2023/01/12',
}, {
orderId: 12,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8400,
date: '2023/01/05',
}, {
orderId: 13,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1325,
date: '2023/01/14',
}, {
orderId: 14,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3920,
date: '2023/01/05',
}, {
orderId: 15,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2220,
date: '2023/01/15',
}, {
orderId: 16,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 940,
date: '2023/01/01',
}, {
orderId: 17,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1630,
date: '2023/01/10',
}, {
orderId: 18,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2910,
date: '2023/01/23',
}, {
orderId: 19,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2600,
date: '2023/01/14',
}, {
orderId: 20,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4340,
date: '2023/01/26',
}, {
orderId: 21,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6650,
date: '2023/01/24',
}, {
orderId: 22,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 490,
date: '2023/01/22',
}, {
orderId: 23,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3390,
date: '2023/01/25',
}, {
orderId: 24,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5160,
date: '2023/02/20',
}, {
orderId: 25,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5750,
date: '2023/02/12',
}, {
orderId: 26,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2805,
date: '2023/02/13',
}, {
orderId: 27,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2505,
date: '2023/02/09',
}, {
orderId: 28,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 930,
date: '2023/02/04',
}, {
orderId: 29,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1240,
date: '2023/02/03',
}, {
orderId: 30,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 315,
date: '2023/02/04',
}, {
orderId: 31,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2870,
date: '2023/02/18',
}, {
orderId: 32,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5150,
date: '2023/02/18',
}, {
orderId: 33,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2725,
date: '2023/02/20',
}, {
orderId: 34,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2840,
date: '2023/02/04',
}, {
orderId: 35,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1200,
date: '2023/02/03',
}, {
orderId: 36,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4550,
date: '2023/02/08',
}, {
orderId: 37,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 6040,
date: '2023/02/17',
}, {
orderId: 38,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2205,
date: '2023/02/08',
}, {
orderId: 39,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 990,
date: '2023/02/20',
}, {
orderId: 40,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 700,
date: '2023/02/11',
}, {
orderId: 41,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2325,
date: '2023/02/15',
}, {
orderId: 42,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 930,
date: '2023/02/21',
}, {
orderId: 43,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1560,
date: '2023/02/04',
}, {
orderId: 44,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2023/03/04',
}, {
orderId: 45,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3575,
date: '2023/03/20',
}, {
orderId: 46,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4500,
date: '2023/03/04',
}, {
orderId: 47,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1605,
date: '2023/03/17',
}, {
orderId: 48,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 800,
date: '2023/03/21',
}, {
orderId: 49,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 640,
date: '2023/03/08',
}, {
orderId: 50,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 735,
date: '2023/03/19',
}, {
orderId: 51,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2520,
date: '2023/03/20',
}, {
orderId: 52,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6675,
date: '2023/03/18',
}, {
orderId: 53,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3625,
date: '2023/03/25',
}, {
orderId: 54,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1200,
date: '2023/03/07',
}, {
orderId: 55,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2700,
date: '2023/03/19',
}, {
orderId: 56,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5950,
date: '2023/03/24',
}, {
orderId: 57,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5120,
date: '2023/03/08',
}, {
orderId: 58,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2023/03/17',
}, {
orderId: 59,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2023/03/08',
}, {
orderId: 60,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 980,
date: '2023/03/21',
}, {
orderId: 61,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5460,
date: '2023/03/19',
}, {
orderId: 62,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3800,
date: '2023/03/12',
}, {
orderId: 63,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2610,
date: '2023/03/04',
}, {
orderId: 64,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2010,
date: '2023/03/23',
}, {
orderId: 65,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7680,
date: '2023/04/15',
}, {
orderId: 66,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1325,
date: '2023/04/07',
}, {
orderId: 67,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2835,
date: '2023/04/10',
}, {
orderId: 68,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3660,
date: '2023/04/10',
}, {
orderId: 69,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 390,
date: '2023/04/12',
}, {
orderId: 70,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4420,
date: '2023/04/08',
}, {
orderId: 71,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1755,
date: '2023/04/13',
}, {
orderId: 72,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2580,
date: '2023/04/15',
}, {
orderId: 73,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 850,
date: '2023/04/01',
}, {
orderId: 74,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2825,
date: '2023/04/10',
}, {
orderId: 75,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 540,
date: '2023/04/06',
}, {
orderId: 76,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2023/04/16',
}, {
orderId: 77,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6850,
date: '2023/04/19',
}, {
orderId: 78,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1940,
date: '2023/04/23',
}, {
orderId: 79,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2023/04/21',
}, {
orderId: 80,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3090,
date: '2023/04/03',
}, {
orderId: 81,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1640,
date: '2023/04/24',
}, {
orderId: 82,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3585,
date: '2023/04/01',
}, {
orderId: 83,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1770,
date: '2023/04/01',
}, {
orderId: 84,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4005,
date: '2023/04/04',
}, {
orderId: 85,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2870,
date: '2023/04/02',
}, {
orderId: 86,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2023/04/20',
}, {
orderId: 87,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8640,
date: '2023/05/14',
}, {
orderId: 88,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5450,
date: '2023/05/24',
}, {
orderId: 89,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2535,
date: '2023/05/07',
}, {
orderId: 90,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1155,
date: '2023/05/20',
}, {
orderId: 91,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2023/05/18',
}, {
orderId: 92,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2023/05/19',
}, {
orderId: 93,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1215,
date: '2023/05/23',
}, {
orderId: 94,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1210,
date: '2023/05/08',
}, {
orderId: 95,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2023/05/25',
}, {
orderId: 96,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5400,
date: '2023/05/03',
}, {
orderId: 97,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5940,
date: '2023/05/25',
}, {
orderId: 98,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2023/05/22',
}, {
orderId: 99,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7950,
date: '2023/05/12',
}, {
orderId: 100,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3740,
date: '2023/05/24',
}, {
orderId: 101,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 990,
date: '2023/05/02',
}, {
orderId: 102,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3190,
date: '2023/05/03',
}, {
orderId: 103,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2430,
date: '2023/05/11',
}, {
orderId: 104,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7380,
date: '2023/06/15',
}, {
orderId: 105,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4475,
date: '2023/06/08',
}, {
orderId: 106,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1290,
date: '2023/06/10',
}, {
orderId: 107,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2250,
date: '2023/06/10',
}, {
orderId: 108,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 350,
date: '2023/06/22',
}, {
orderId: 109,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5480,
date: '2023/06/24',
}, {
orderId: 110,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2355,
date: '2023/06/10',
}, {
orderId: 111,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1960,
date: '2023/06/23',
}, {
orderId: 112,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4125,
date: '2023/06/06',
}, {
orderId: 113,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7925,
date: '2023/06/12',
}, {
orderId: 114,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1120,
date: '2023/06/22',
}, {
orderId: 115,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5130,
date: '2023/06/10',
}, {
orderId: 116,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2475,
date: '2023/06/10',
}, {
orderId: 117,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2100,
date: '2023/06/06',
}, {
orderId: 118,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3570,
date: '2023/06/10',
}, {
orderId: 119,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 550,
date: '2023/06/02',
}, {
orderId: 120,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2850,
date: '2023/06/26',
}, {
orderId: 121,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1460,
date: '2023/06/17',
}, {
orderId: 122,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2023/06/17',
}, {
orderId: 123,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1520,
date: '2023/06/03',
}, {
orderId: 124,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6750,
date: '2023/06/21',
}, {
orderId: 125,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7260,
date: '2023/07/14',
}, {
orderId: 126,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2450,
date: '2023/07/11',
}, {
orderId: 127,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3540,
date: '2023/07/02',
}, {
orderId: 128,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2023/07/03',
}, {
orderId: 129,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 360,
date: '2023/07/07',
}, {
orderId: 130,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4500,
date: '2023/07/03',
}, {
orderId: 131,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4575,
date: '2023/07/21',
}, {
orderId: 132,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2310,
date: '2023/07/18',
}, {
orderId: 133,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2023/07/04',
}, {
orderId: 134,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3575,
date: '2023/07/23',
}, {
orderId: 135,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 760,
date: '2023/07/01',
}, {
orderId: 136,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3480,
date: '2023/07/23',
}, {
orderId: 137,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4875,
date: '2023/07/11',
}, {
orderId: 138,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4980,
date: '2023/07/19',
}, {
orderId: 139,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2580,
date: '2023/07/04',
}, {
orderId: 140,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2650,
date: '2023/07/16',
}, {
orderId: 141,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1190,
date: '2023/07/02',
}, {
orderId: 142,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 960,
date: '2023/07/26',
}, {
orderId: 143,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3600,
date: '2023/08/08',
}, {
orderId: 144,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2250,
date: '2023/08/01',
}, {
orderId: 145,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1275,
date: '2023/08/02',
}, {
orderId: 146,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3885,
date: '2023/08/14',
}, {
orderId: 147,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1900,
date: '2023/08/05',
}, {
orderId: 148,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2300,
date: '2023/08/09',
}, {
orderId: 149,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2895,
date: '2023/08/15',
}, {
orderId: 150,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 350,
date: '2023/08/20',
}, {
orderId: 151,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4200,
date: '2023/08/22',
}, {
orderId: 152,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7175,
date: '2023/08/14',
}, {
orderId: 153,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4420,
date: '2023/08/24',
}, {
orderId: 154,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6990,
date: '2023/08/22',
}, {
orderId: 155,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2125,
date: '2023/08/05',
}, {
orderId: 156,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2220,
date: '2023/08/16',
}, {
orderId: 157,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1575,
date: '2023/08/23',
}, {
orderId: 158,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1880,
date: '2023/08/12',
}, {
orderId: 159,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 710,
date: '2023/08/25',
}, {
orderId: 160,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2023/08/20',
}, {
orderId: 161,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4635,
date: '2023/08/04',
}, {
orderId: 162,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4350,
date: '2023/08/19',
}, {
orderId: 163,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 6020,
date: '2023/08/02',
}, {
orderId: 164,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3660,
date: '2023/08/19',
}, {
orderId: 165,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2023/08/24',
}, {
orderId: 166,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4410,
date: '2023/09/12',
}, {
orderId: 167,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1725,
date: '2023/09/07',
}, {
orderId: 168,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2715,
date: '2023/09/14',
}, {
orderId: 169,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2820,
date: '2023/09/08',
}, {
orderId: 170,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2310,
date: '2023/09/12',
}, {
orderId: 171,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 780,
date: '2023/09/08',
}, {
orderId: 172,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2370,
date: '2023/09/19',
}, {
orderId: 173,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1410,
date: '2023/09/09',
}, {
orderId: 174,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1825,
date: '2023/09/23',
}, {
orderId: 175,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4075,
date: '2023/09/06',
}, {
orderId: 176,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1020,
date: '2023/09/04',
}, {
orderId: 177,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2023/09/08',
}, {
orderId: 178,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3050,
date: '2023/09/04',
}, {
orderId: 179,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5080,
date: '2023/09/25',
}, {
orderId: 180,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1125,
date: '2023/09/13',
}, {
orderId: 181,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 850,
date: '2023/09/24',
}, {
orderId: 182,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1440,
date: '2023/09/19',
}, {
orderId: 183,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2023/09/02',
}, {
orderId: 184,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6390,
date: '2023/10/11',
}, {
orderId: 185,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2023/10/02',
}, {
orderId: 186,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3510,
date: '2023/10/24',
}, {
orderId: 187,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2730,
date: '2023/10/15',
}, {
orderId: 188,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2070,
date: '2023/10/15',
}, {
orderId: 189,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2320,
date: '2023/10/18',
}, {
orderId: 190,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4260,
date: '2023/10/24',
}, {
orderId: 191,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 840,
date: '2023/10/18',
}, {
orderId: 192,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7300,
date: '2023/10/24',
}, {
orderId: 193,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5950,
date: '2023/10/11',
}, {
orderId: 194,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3220,
date: '2023/10/25',
}, {
orderId: 195,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4470,
date: '2023/10/05',
}, {
orderId: 196,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3675,
date: '2023/10/23',
}, {
orderId: 197,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4260,
date: '2023/10/01',
}, {
orderId: 198,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4245,
date: '2023/10/26',
}, {
orderId: 199,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1470,
date: '2023/10/01',
}, {
orderId: 200,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1810,
date: '2023/10/02',
}, {
orderId: 201,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 600,
date: '2023/10/23',
}, {
orderId: 202,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7500,
date: '2023/11/03',
}, {
orderId: 203,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2023/11/02',
}, {
orderId: 204,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2023/11/09',
}, {
orderId: 205,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2023/11/15',
}, {
orderId: 206,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2420,
date: '2023/11/15',
}, {
orderId: 207,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4180,
date: '2023/11/15',
}, {
orderId: 208,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3720,
date: '2023/11/25',
}, {
orderId: 209,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2730,
date: '2023/11/08',
}, {
orderId: 210,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3775,
date: '2023/11/17',
}, {
orderId: 211,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3525,
date: '2023/11/15',
}, {
orderId: 212,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5320,
date: '2023/11/08',
}, {
orderId: 213,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7050,
date: '2023/11/14',
}, {
orderId: 214,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4200,
date: '2023/11/18',
}, {
orderId: 215,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4960,
date: '2023/11/04',
}, {
orderId: 216,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2280,
date: '2023/11/13',
}, {
orderId: 217,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 590,
date: '2023/11/11',
}, {
orderId: 218,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 810,
date: '2023/11/12',
}, {
orderId: 219,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2625,
date: '2023/11/07',
}, {
orderId: 220,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8280,
date: '2023/12/01',
}, {
orderId: 221,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5650,
date: '2023/12/19',
}, {
orderId: 222,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2760,
date: '2023/12/14',
}, {
orderId: 223,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2670,
date: '2023/12/03',
}, {
orderId: 224,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2520,
date: '2023/12/20',
}, {
orderId: 225,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4080,
date: '2023/12/21',
}, {
orderId: 226,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4140,
date: '2023/12/22',
}, {
orderId: 227,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 390,
date: '2023/12/04',
}, {
orderId: 228,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1400,
date: '2023/12/19',
}, {
orderId: 229,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7275,
date: '2023/12/22',
}, {
orderId: 230,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4100,
date: '2023/12/20',
}, {
orderId: 231,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7290,
date: '2023/12/05',
}, {
orderId: 232,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 625,
date: '2023/12/22',
}, {
orderId: 233,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4460,
date: '2023/12/12',
}, {
orderId: 234,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3825,
date: '2023/12/13',
}, {
orderId: 235,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2850,
date: '2023/12/17',
}, {
orderId: 236,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2780,
date: '2023/12/07',
}, {
orderId: 237,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 840,
date: '2023/12/18',
}, {
orderId: 238,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2970,
date: '2023/12/23',
}, {
orderId: 239,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 945,
date: '2023/12/06',
}, {
orderId: 240,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2023/12/04',
}, {
orderId: 241,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2023/12/01',
}, {
orderId: 242,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7710,
date: '2024/01/18',
}, {
orderId: 243,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7975,
date: '2024/01/10',
}, {
orderId: 244,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3285,
date: '2024/01/13',
}, {
orderId: 245,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2580,
date: '2024/01/22',
}, {
orderId: 246,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2160,
date: '2024/01/26',
}, {
orderId: 247,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1100,
date: '2024/01/25',
}, {
orderId: 248,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4425,
date: '2024/01/21',
}, {
orderId: 249,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2024/01/22',
}, {
orderId: 250,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3250,
date: '2024/01/14',
}, {
orderId: 251,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5550,
date: '2024/01/21',
}, {
orderId: 252,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2860,
date: '2024/01/25',
}, {
orderId: 253,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3450,
date: '2024/01/24',
}, {
orderId: 254,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5425,
date: '2024/01/11',
}, {
orderId: 255,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4860,
date: '2024/01/12',
}, {
orderId: 256,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4695,
date: '2024/01/16',
}, {
orderId: 257,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 610,
date: '2024/01/05',
}, {
orderId: 258,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1580,
date: '2024/01/15',
}, {
orderId: 259,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3780,
date: '2024/02/18',
}, {
orderId: 260,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5400,
date: '2024/02/21',
}, {
orderId: 261,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 630,
date: '2024/02/18',
}, {
orderId: 262,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3960,
date: '2024/02/04',
}, {
orderId: 263,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2010,
date: '2024/02/25',
}, {
orderId: 264,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5000,
date: '2024/02/01',
}, {
orderId: 265,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1995,
date: '2024/02/20',
}, {
orderId: 266,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 860,
date: '2024/02/12',
}, {
orderId: 267,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2150,
date: '2024/02/10',
}, {
orderId: 268,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4050,
date: '2024/02/06',
}, {
orderId: 269,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2024/02/18',
}, {
orderId: 270,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3390,
date: '2024/02/03',
}, {
orderId: 271,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4425,
date: '2024/02/15',
}, {
orderId: 272,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1180,
date: '2024/02/23',
}, {
orderId: 273,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 360,
date: '2024/02/08',
}, {
orderId: 274,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2310,
date: '2024/02/13',
}, {
orderId: 275,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1770,
date: '2024/02/20',
}, {
orderId: 276,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3060,
date: '2024/02/26',
}, {
orderId: 277,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1750,
date: '2024/02/12',
}, {
orderId: 278,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2280,
date: '2024/03/09',
}, {
orderId: 279,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7600,
date: '2024/03/25',
}, {
orderId: 280,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1035,
date: '2024/03/23',
}, {
orderId: 281,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1245,
date: '2024/03/01',
}, {
orderId: 282,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2860,
date: '2024/03/19',
}, {
orderId: 283,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 440,
date: '2024/03/19',
}, {
orderId: 284,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4665,
date: '2024/03/02',
}, {
orderId: 285,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2270,
date: '2024/03/15',
}, {
orderId: 286,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5000,
date: '2024/03/09',
}, {
orderId: 287,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5100,
date: '2024/03/23',
}, {
orderId: 288,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2120,
date: '2024/03/11',
}, {
orderId: 289,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9510,
date: '2024/03/19',
}, {
orderId: 290,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7600,
date: '2024/03/21',
}, {
orderId: 291,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5420,
date: '2024/03/15',
}, {
orderId: 292,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2024/03/05',
}, {
orderId: 293,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1820,
date: '2024/03/07',
}, {
orderId: 294,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1670,
date: '2024/03/21',
}, {
orderId: 295,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4800,
date: '2024/03/08',
}, {
orderId: 296,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2925,
date: '2024/03/03',
}, {
orderId: 297,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2940,
date: '2024/04/11',
}, {
orderId: 298,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3525,
date: '2024/04/13',
}, {
orderId: 299,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2475,
date: '2024/04/22',
}, {
orderId: 300,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3315,
date: '2024/04/08',
}, {
orderId: 301,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2024/04/07',
}, {
orderId: 302,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2520,
date: '2024/04/01',
}, {
orderId: 303,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1200,
date: '2024/04/10',
}, {
orderId: 304,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2060,
date: '2024/04/21',
}, {
orderId: 305,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7875,
date: '2024/04/02',
}, {
orderId: 306,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1450,
date: '2024/04/07',
}, {
orderId: 307,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2640,
date: '2024/04/22',
}, {
orderId: 308,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4500,
date: '2024/04/05',
}, {
orderId: 309,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5050,
date: '2024/04/11',
}, {
orderId: 310,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2940,
date: '2024/04/02',
}, {
orderId: 311,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2880,
date: '2024/04/14',
}, {
orderId: 312,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1050,
date: '2024/04/19',
}, {
orderId: 313,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1850,
date: '2024/04/02',
}, {
orderId: 314,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3160,
date: '2024/04/01',
}, {
orderId: 315,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2024/04/04',
}, {
orderId: 316,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1380,
date: '2024/04/21',
}, {
orderId: 317,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3060,
date: '2024/04/06',
}, {
orderId: 318,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6690,
date: '2024/05/19',
}, {
orderId: 319,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2024/05/15',
}, {
orderId: 320,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4665,
date: '2024/05/10',
}, {
orderId: 321,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4530,
date: '2024/05/18',
}, {
orderId: 322,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1330,
date: '2024/05/08',
}, {
orderId: 323,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1720,
date: '2024/05/20',
}, {
orderId: 324,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3750,
date: '2024/05/16',
}, {
orderId: 325,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1290,
date: '2024/05/10',
}, {
orderId: 326,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4925,
date: '2024/05/14',
}, {
orderId: 327,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4300,
date: '2024/05/22',
}, {
orderId: 328,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5740,
date: '2024/05/08',
}, {
orderId: 329,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1440,
date: '2024/05/21',
}, {
orderId: 330,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5975,
date: '2024/05/25',
}, {
orderId: 331,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4440,
date: '2024/05/05',
}, {
orderId: 332,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2310,
date: '2024/05/24',
}, {
orderId: 333,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2250,
date: '2024/05/06',
}, {
orderId: 334,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2320,
date: '2024/05/14',
}, {
orderId: 335,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5190,
date: '2024/06/26',
}, {
orderId: 336,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 925,
date: '2024/06/04',
}, {
orderId: 337,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2024/06/20',
}, {
orderId: 338,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3180,
date: '2024/06/23',
}, {
orderId: 339,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 780,
date: '2024/06/13',
}, {
orderId: 340,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4680,
date: '2024/06/08',
}, {
orderId: 341,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2475,
date: '2024/06/25',
}, {
orderId: 342,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1920,
date: '2024/06/20',
}, {
orderId: 343,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2024/06/25',
}, {
orderId: 344,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2024/06/26',
}, {
orderId: 345,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2400,
date: '2024/06/08',
}, {
orderId: 346,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5430,
date: '2024/06/03',
}, {
orderId: 347,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4475,
date: '2024/06/19',
}, {
orderId: 348,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1420,
date: '2024/06/20',
}, {
orderId: 349,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2670,
date: '2024/06/25',
}, {
orderId: 350,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2024/06/02',
}, {
orderId: 351,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 580,
date: '2024/06/25',
}, {
orderId: 352,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1620,
date: '2024/06/12',
}, {
orderId: 353,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4530,
date: '2024/06/02',
}, {
orderId: 354,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6025,
date: '2024/06/23',
}, {
orderId: 355,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3540,
date: '2024/07/21',
}, {
orderId: 356,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3000,
date: '2024/07/01',
}, {
orderId: 357,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2024/07/26',
}, {
orderId: 358,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2265,
date: '2024/07/22',
}, {
orderId: 359,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 400,
date: '2024/07/09',
}, {
orderId: 360,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1460,
date: '2024/07/08',
}, {
orderId: 361,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1620,
date: '2024/07/18',
}, {
orderId: 362,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2400,
date: '2024/07/25',
}, {
orderId: 363,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5275,
date: '2024/07/04',
}, {
orderId: 364,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4475,
date: '2024/07/03',
}, {
orderId: 365,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3980,
date: '2024/07/21',
}, {
orderId: 366,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5700,
date: '2024/07/18',
}, {
orderId: 367,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5575,
date: '2024/07/01',
}, {
orderId: 368,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2160,
date: '2024/07/02',
}, {
orderId: 369,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 960,
date: '2024/07/09',
}, {
orderId: 370,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1280,
date: '2024/07/04',
}, {
orderId: 371,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1040,
date: '2024/07/02',
}, {
orderId: 372,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1760,
date: '2024/07/25',
}, {
orderId: 373,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4080,
date: '2024/07/07',
}, {
orderId: 374,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1000,
date: '2024/07/21',
}, {
orderId: 375,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1770,
date: '2024/08/23',
}, {
orderId: 376,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2700,
date: '2024/08/09',
}, {
orderId: 377,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2175,
date: '2024/08/03',
}, {
orderId: 378,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3375,
date: '2024/08/11',
}, {
orderId: 379,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2040,
date: '2024/08/01',
}, {
orderId: 380,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3000,
date: '2024/08/21',
}, {
orderId: 381,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3900,
date: '2024/08/16',
}, {
orderId: 382,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1370,
date: '2024/08/20',
}, {
orderId: 383,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5700,
date: '2024/08/01',
}, {
orderId: 384,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1275,
date: '2024/08/22',
}, {
orderId: 385,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4060,
date: '2024/08/13',
}, {
orderId: 386,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4560,
date: '2024/08/20',
}, {
orderId: 387,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7575,
date: '2024/08/20',
}, {
orderId: 388,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 700,
date: '2024/08/25',
}, {
orderId: 389,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2024/08/16',
}, {
orderId: 390,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1390,
date: '2024/08/15',
}, {
orderId: 391,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1320,
date: '2024/08/09',
}, {
orderId: 392,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1680,
date: '2024/08/09',
}, {
orderId: 393,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1500,
date: '2024/08/11',
}, {
orderId: 394,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6150,
date: '2024/09/21',
}, {
orderId: 395,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3675,
date: '2024/09/02',
}, {
orderId: 396,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2250,
date: '2024/09/05',
}, {
orderId: 397,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3585,
date: '2024/09/10',
}, {
orderId: 398,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1470,
date: '2024/09/01',
}, {
orderId: 399,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2024/09/02',
}, {
orderId: 400,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3765,
date: '2024/09/03',
}, {
orderId: 401,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1640,
date: '2024/09/04',
}, {
orderId: 402,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4475,
date: '2024/09/09',
}, {
orderId: 403,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5975,
date: '2024/09/04',
}, {
orderId: 404,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1100,
date: '2024/09/16',
}, {
orderId: 405,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2024/09/09',
}, {
orderId: 406,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2024/09/01',
}, {
orderId: 407,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3620,
date: '2024/09/19',
}, {
orderId: 408,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4275,
date: '2024/09/01',
}, {
orderId: 409,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2370,
date: '2024/09/03',
}, {
orderId: 410,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1870,
date: '2024/09/10',
}, {
orderId: 411,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2070,
date: '2024/09/25',
}, {
orderId: 412,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2024/09/19',
}, {
orderId: 413,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1080,
date: '2024/10/15',
}, {
orderId: 414,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1400,
date: '2024/10/22',
}, {
orderId: 415,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4260,
date: '2024/10/01',
}, {
orderId: 416,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2745,
date: '2024/10/01',
}, {
orderId: 417,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2920,
date: '2024/10/23',
}, {
orderId: 418,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3520,
date: '2024/10/11',
}, {
orderId: 419,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4035,
date: '2024/10/20',
}, {
orderId: 420,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1730,
date: '2024/10/05',
}, {
orderId: 421,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 975,
date: '2024/10/06',
}, {
orderId: 422,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5700,
date: '2024/10/06',
}, {
orderId: 423,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5080,
date: '2024/10/18',
}, {
orderId: 424,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1230,
date: '2024/10/11',
}, {
orderId: 425,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 600,
date: '2024/10/08',
}, {
orderId: 426,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3700,
date: '2024/10/08',
}, {
orderId: 427,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3375,
date: '2024/10/11',
}, {
orderId: 428,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1500,
date: '2024/10/17',
}, {
orderId: 429,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 370,
date: '2024/10/05',
}, {
orderId: 430,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2340,
date: '2024/10/16',
}, {
orderId: 431,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1080,
date: '2024/10/08',
}, {
orderId: 432,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2775,
date: '2024/10/21',
}, {
orderId: 433,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4380,
date: '2024/11/09',
}, {
orderId: 434,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5500,
date: '2024/11/21',
}, {
orderId: 435,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1920,
date: '2024/11/24',
}, {
orderId: 436,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 765,
date: '2024/11/24',
}, {
orderId: 437,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 370,
date: '2024/11/18',
}, {
orderId: 438,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3500,
date: '2024/11/25',
}, {
orderId: 439,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 825,
date: '2024/11/09',
}, {
orderId: 440,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 490,
date: '2024/11/23',
}, {
orderId: 441,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7075,
date: '2024/11/20',
}, {
orderId: 442,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1350,
date: '2024/11/25',
}, {
orderId: 443,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1440,
date: '2024/11/15',
}, {
orderId: 444,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2024/11/03',
}, {
orderId: 445,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1150,
date: '2024/11/23',
}, {
orderId: 446,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2040,
date: '2024/11/20',
}, {
orderId: 447,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2024/11/24',
}, {
orderId: 448,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1940,
date: '2024/11/24',
}, {
orderId: 449,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 3090,
date: '2024/11/16',
}, {
orderId: 450,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4900,
date: '2024/11/05',
}, {
orderId: 451,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3465,
date: '2024/11/07',
}, {
orderId: 452,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2024/11/20',
}, {
orderId: 453,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1650,
date: '2024/11/02',
}, {
orderId: 454,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5280,
date: '2024/12/04',
}, {
orderId: 455,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3075,
date: '2024/12/02',
}, {
orderId: 456,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 690,
date: '2024/12/07',
}, {
orderId: 457,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1305,
date: '2024/12/15',
}, {
orderId: 458,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1970,
date: '2024/12/01',
}, {
orderId: 459,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3760,
date: '2024/12/18',
}, {
orderId: 460,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1920,
date: '2024/12/22',
}, {
orderId: 461,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2024/12/12',
}, {
orderId: 462,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2525,
date: '2024/12/06',
}, {
orderId: 463,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5575,
date: '2024/12/20',
}, {
orderId: 464,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5560,
date: '2024/12/10',
}, {
orderId: 465,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2024/12/10',
}, {
orderId: 466,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4000,
date: '2024/12/12',
}, {
orderId: 467,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5820,
date: '2024/12/02',
}, {
orderId: 468,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1275,
date: '2024/12/12',
}, {
orderId: 469,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1310,
date: '2024/12/01',
}, {
orderId: 470,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2180,
date: '2024/12/26',
}, {
orderId: 471,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4470,
date: '2024/12/17',
}, {
orderId: 472,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2990,
date: '2024/12/15',
}, {
orderId: 473,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7650,
date: '2024/12/18',
}, {
orderId: 474,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 780,
date: '2024/12/02',
}, {
orderId: 475,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2970,
date: '2024/12/13',
}, {
orderId: 476,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1155,
date: '2024/12/05',
}, {
orderId: 477,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4470,
date: '2025/01/10',
}, {
orderId: 478,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1125,
date: '2025/01/21',
}, {
orderId: 479,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 645,
date: '2025/01/17',
}, {
orderId: 480,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 675,
date: '2025/01/05',
}, {
orderId: 481,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2840,
date: '2025/01/05',
}, {
orderId: 482,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2660,
date: '2025/01/04',
}, {
orderId: 483,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4560,
date: '2025/01/12',
}, {
orderId: 484,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2880,
date: '2025/01/20',
}, {
orderId: 485,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 500,
date: '2025/01/02',
}, {
orderId: 486,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3925,
date: '2025/01/07',
}, {
orderId: 487,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5660,
date: '2025/01/18',
}, {
orderId: 488,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4830,
date: '2025/01/13',
}, {
orderId: 489,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3075,
date: '2025/01/22',
}, {
orderId: 490,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3120,
date: '2025/01/14',
}, {
orderId: 491,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3525,
date: '2025/01/23',
}, {
orderId: 492,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2025/01/09',
}, {
orderId: 493,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2890,
date: '2025/01/02',
}, {
orderId: 494,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1545,
date: '2025/01/17',
}, {
orderId: 495,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3630,
date: '2025/01/20',
}, {
orderId: 496,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4035,
date: '2025/01/14',
}, {
orderId: 497,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 345,
date: '2025/01/06',
}, {
orderId: 498,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7000,
date: '2025/01/07',
}, {
orderId: 499,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3060,
date: '2025/02/13',
}, {
orderId: 500,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 6425,
date: '2025/02/04',
}, {
orderId: 501,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 615,
date: '2025/02/22',
}, {
orderId: 502,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1755,
date: '2025/02/07',
}, {
orderId: 503,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1540,
date: '2025/02/21',
}, {
orderId: 504,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2820,
date: '2025/02/24',
}, {
orderId: 505,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4305,
date: '2025/02/10',
}, {
orderId: 506,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1520,
date: '2025/02/26',
}, {
orderId: 507,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4725,
date: '2025/02/18',
}, {
orderId: 508,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6750,
date: '2025/02/16',
}, {
orderId: 509,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5540,
date: '2025/02/07',
}, {
orderId: 510,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9300,
date: '2025/02/03',
}, {
orderId: 511,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2025/02/26',
}, {
orderId: 512,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 740,
date: '2025/02/01',
}, {
orderId: 513,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4755,
date: '2025/02/23',
}, {
orderId: 514,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2570,
date: '2025/02/20',
}, {
orderId: 515,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2860,
date: '2025/02/19',
}, {
orderId: 516,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5430,
date: '2025/03/21',
}, {
orderId: 517,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2025/03/21',
}, {
orderId: 518,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1515,
date: '2025/03/10',
}, {
orderId: 519,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 630,
date: '2025/03/15',
}, {
orderId: 520,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1310,
date: '2025/03/01',
}, {
orderId: 521,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3200,
date: '2025/03/17',
}, {
orderId: 522,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3945,
date: '2025/03/20',
}, {
orderId: 523,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2990,
date: '2025/03/18',
}, {
orderId: 524,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1125,
date: '2025/03/22',
}, {
orderId: 525,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7950,
date: '2025/03/17',
}, {
orderId: 526,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2025/03/25',
}, {
orderId: 527,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3930,
date: '2025/03/23',
}, {
orderId: 528,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6975,
date: '2025/03/02',
}, {
orderId: 529,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4220,
date: '2025/03/17',
}, {
orderId: 530,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2025/03/25',
}, {
orderId: 531,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2380,
date: '2025/03/01',
}, {
orderId: 532,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1510,
date: '2025/03/07',
}, {
orderId: 533,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1020,
date: '2025/03/19',
}, {
orderId: 534,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6700,
date: '2025/03/26',
}, {
orderId: 535,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4890,
date: '2025/04/02',
}, {
orderId: 536,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7225,
date: '2025/04/13',
}, {
orderId: 537,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 795,
date: '2025/04/07',
}, {
orderId: 538,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1785,
date: '2025/04/03',
}, {
orderId: 539,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1850,
date: '2025/04/03',
}, {
orderId: 540,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5120,
date: '2025/04/12',
}, {
orderId: 541,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 615,
date: '2025/04/07',
}, {
orderId: 542,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2860,
date: '2025/04/05',
}, {
orderId: 543,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1525,
date: '2025/04/24',
}, {
orderId: 544,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7425,
date: '2025/04/15',
}, {
orderId: 545,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 6080,
date: '2025/04/13',
}, {
orderId: 546,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9390,
date: '2025/04/19',
}, {
orderId: 547,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3200,
date: '2025/04/26',
}, {
orderId: 548,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4380,
date: '2025/04/05',
}, {
orderId: 549,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4725,
date: '2025/04/06',
}, {
orderId: 550,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 930,
date: '2025/04/25',
}, {
orderId: 551,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1910,
date: '2025/04/05',
}, {
orderId: 552,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2725,
date: '2025/04/16',
}, {
orderId: 553,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4720,
date: '2025/04/02',
}, {
orderId: 554,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2800,
date: '2025/04/26',
}, {
orderId: 555,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3780,
date: '2025/04/24',
}, {
orderId: 556,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2340,
date: '2025/04/17',
}, {
orderId: 557,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4830,
date: '2025/05/12',
}, {
orderId: 558,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2075,
date: '2025/05/23',
}, {
orderId: 559,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3420,
date: '2025/05/21',
}, {
orderId: 560,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2025/05/10',
}, {
orderId: 561,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1680,
date: '2025/05/15',
}, {
orderId: 562,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3440,
date: '2025/05/16',
}, {
orderId: 563,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4695,
date: '2025/05/10',
}, {
orderId: 564,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2380,
date: '2025/05/06',
}, {
orderId: 565,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1875,
date: '2025/05/25',
}, {
orderId: 566,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7550,
date: '2025/05/14',
}, {
orderId: 567,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3340,
date: '2025/05/01',
}, {
orderId: 568,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8370,
date: '2025/05/13',
}, {
orderId: 569,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3550,
date: '2025/05/26',
}, {
orderId: 570,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2620,
date: '2025/05/17',
}, {
orderId: 571,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2025/05/21',
}, {
orderId: 572,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1740,
date: '2025/05/21',
}, {
orderId: 573,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 500,
date: '2025/05/26',
}, {
orderId: 574,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 780,
date: '2025/05/07',
}];
const layouts: Layout[] = [{
key: 0,
name: 'Layout0',
}, {
key: 1,
name: 'Layout1',
}, {
key: 2,
name: 'Layout2',
}];
@Injectable()
export class Service {
getSales() {
return sales;
}
getLayouts() {
return layouts;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<DxPivotGrid
:allow-sorting-by-summary="true"
:allow-sorting="true"
:allow-filtering="true"
:show-borders="true"
:data-source="dataSource"
>
<DxFieldChooser :enabled="false"/>
</DxPivotGrid>
<div class="container">
<DxPivotGridFieldChooser
:data-source="dataSource"
:width="400"
:height="400"
:layout="layout"
:apply-changes-mode="applyChangesMode"
v-model:state="state"
>
<DxTexts
all-fields="All"
column-fields="Columns"
data-fields="Data"
row-fields="Rows"
filter-fields="Filter"
/>
</DxPivotGridFieldChooser>
<div
v-if="applyChangesMode === 'onDemand'"
class="bottom-bar"
>
<DxButton
text="Apply"
type="default"
@click="applyClick()"
/>
<DxButton
text="Cancel"
@click="cancelClick()"
/>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Choose layout:</span>
<DxRadioGroup
:items="layouts"
v-model:value="layout"
class="option-editor"
layout="vertical"
value-expr="key"
display-expr="name"
/>
</div>
<div class="option">
<span>Apply Changes Mode:</span>
<DxSelectBox
:items="applyChangesModes"
:input-attr="{ 'aria-label': 'Apply Changes Mode' }"
:width="180"
v-model:value="applyChangesMode"
class="option-editor"
/>
</div>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxPivotGrid,
DxFieldChooser,
type DxPivotGridTypes,
} from 'devextreme-vue/pivot-grid';
import {
DxPivotGridFieldChooser,
DxTexts,
} from 'devextreme-vue/pivot-grid-field-chooser';
import PivotGridDataSource from 'devextreme/ui/pivot_grid/data_source';
import {
DxSelectBox,
} from 'devextreme-vue/select-box';
import {
DxButton,
} from 'devextreme-vue/button';
import {
DxRadioGroup,
} from 'devextreme-vue/radio-group';
import service from './data.ts';
const dataSource = new PivotGridDataSource({
fields: [{
caption: 'Region',
width: 120,
dataField: 'region',
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
}, {
caption: 'City',
dataField: 'city',
width: 150,
area: 'row',
headerFilter: {
search: {
enabled: true,
},
},
selector(data: Record<string, unknown>) {
return `${data.city} (${data.country})`;
},
}, {
dataField: 'date',
dataType: 'date',
area: 'column',
}, {
caption: 'Sales',
dataField: 'amount',
dataType: 'number',
summaryType: 'sum',
format: 'currency',
area: 'data',
}],
store: service.getSales(),
});
const state = ref(dataSource.state());
const layouts = ref(service.getLayouts());
const layout = ref(layouts.value[0].key);
const applyChangesModes: DxPivotGridTypes.ApplyChangesMode[] = ['instantly', 'onDemand'];
const applyChangesMode = ref(applyChangesModes[0]);
function applyClick() {
dataSource.state(state.value);
}
function cancelClick() {
state.value = dataSource.state();
}
</script>
<style>
.container {
position: relative;
margin-top: 20px;
}
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: absolute;
top: 29px;
bottom: 5px;
left: 420px;
width: 180px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.bottom-bar {
width: 396px;
text-align: right;
margin-top: 5px;
}
#applyButton {
margin-right: 10px;
}
.option-editor {
margin-top: 5px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import type { DxPivotGridTypes } from 'devextreme-vue/pivot-grid';
export type Sale = {
orderId: number;
region: string;
country: string;
city: string;
amount: number;
date: string;
};
export type Layout = {
key: DxPivotGridTypes.FieldChooserLayout;
name: string;
};
const sales: Sale[] = [{
orderId: 1,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2023/01/06',
}, {
orderId: 2,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 850,
date: '2023/01/13',
}, {
orderId: 3,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2235,
date: '2023/01/07',
}, {
orderId: 4,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1965,
date: '2023/01/03',
}, {
orderId: 5,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 880,
date: '2023/01/10',
}, {
orderId: 6,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5260,
date: '2023/01/17',
}, {
orderId: 7,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2790,
date: '2023/01/21',
}, {
orderId: 8,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 3140,
date: '2023/01/01',
}, {
orderId: 9,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6175,
date: '2023/01/24',
}, {
orderId: 10,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4575,
date: '2023/01/11',
}, {
orderId: 11,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3680,
date: '2023/01/12',
}, {
orderId: 12,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8400,
date: '2023/01/05',
}, {
orderId: 13,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1325,
date: '2023/01/14',
}, {
orderId: 14,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3920,
date: '2023/01/05',
}, {
orderId: 15,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2220,
date: '2023/01/15',
}, {
orderId: 16,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 940,
date: '2023/01/01',
}, {
orderId: 17,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1630,
date: '2023/01/10',
}, {
orderId: 18,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2910,
date: '2023/01/23',
}, {
orderId: 19,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2600,
date: '2023/01/14',
}, {
orderId: 20,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4340,
date: '2023/01/26',
}, {
orderId: 21,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6650,
date: '2023/01/24',
}, {
orderId: 22,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 490,
date: '2023/01/22',
}, {
orderId: 23,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3390,
date: '2023/01/25',
}, {
orderId: 24,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5160,
date: '2023/02/20',
}, {
orderId: 25,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5750,
date: '2023/02/12',
}, {
orderId: 26,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2805,
date: '2023/02/13',
}, {
orderId: 27,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2505,
date: '2023/02/09',
}, {
orderId: 28,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 930,
date: '2023/02/04',
}, {
orderId: 29,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1240,
date: '2023/02/03',
}, {
orderId: 30,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 315,
date: '2023/02/04',
}, {
orderId: 31,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2870,
date: '2023/02/18',
}, {
orderId: 32,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5150,
date: '2023/02/18',
}, {
orderId: 33,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2725,
date: '2023/02/20',
}, {
orderId: 34,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2840,
date: '2023/02/04',
}, {
orderId: 35,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1200,
date: '2023/02/03',
}, {
orderId: 36,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4550,
date: '2023/02/08',
}, {
orderId: 37,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 6040,
date: '2023/02/17',
}, {
orderId: 38,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2205,
date: '2023/02/08',
}, {
orderId: 39,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 990,
date: '2023/02/20',
}, {
orderId: 40,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 700,
date: '2023/02/11',
}, {
orderId: 41,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2325,
date: '2023/02/15',
}, {
orderId: 42,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 930,
date: '2023/02/21',
}, {
orderId: 43,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1560,
date: '2023/02/04',
}, {
orderId: 44,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1740,
date: '2023/03/04',
}, {
orderId: 45,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3575,
date: '2023/03/20',
}, {
orderId: 46,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4500,
date: '2023/03/04',
}, {
orderId: 47,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1605,
date: '2023/03/17',
}, {
orderId: 48,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 800,
date: '2023/03/21',
}, {
orderId: 49,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 640,
date: '2023/03/08',
}, {
orderId: 50,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 735,
date: '2023/03/19',
}, {
orderId: 51,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2520,
date: '2023/03/20',
}, {
orderId: 52,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 6675,
date: '2023/03/18',
}, {
orderId: 53,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3625,
date: '2023/03/25',
}, {
orderId: 54,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1200,
date: '2023/03/07',
}, {
orderId: 55,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2700,
date: '2023/03/19',
}, {
orderId: 56,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5950,
date: '2023/03/24',
}, {
orderId: 57,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5120,
date: '2023/03/08',
}, {
orderId: 58,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2023/03/17',
}, {
orderId: 59,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2023/03/08',
}, {
orderId: 60,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 980,
date: '2023/03/21',
}, {
orderId: 61,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5460,
date: '2023/03/19',
}, {
orderId: 62,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3800,
date: '2023/03/12',
}, {
orderId: 63,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2610,
date: '2023/03/04',
}, {
orderId: 64,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2010,
date: '2023/03/23',
}, {
orderId: 65,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7680,
date: '2023/04/15',
}, {
orderId: 66,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1325,
date: '2023/04/07',
}, {
orderId: 67,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2835,
date: '2023/04/10',
}, {
orderId: 68,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3660,
date: '2023/04/10',
}, {
orderId: 69,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 390,
date: '2023/04/12',
}, {
orderId: 70,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4420,
date: '2023/04/08',
}, {
orderId: 71,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1755,
date: '2023/04/13',
}, {
orderId: 72,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2580,
date: '2023/04/15',
}, {
orderId: 73,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 850,
date: '2023/04/01',
}, {
orderId: 74,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 2825,
date: '2023/04/10',
}, {
orderId: 75,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 540,
date: '2023/04/06',
}, {
orderId: 76,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2023/04/16',
}, {
orderId: 77,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6850,
date: '2023/04/19',
}, {
orderId: 78,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1940,
date: '2023/04/23',
}, {
orderId: 79,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2023/04/21',
}, {
orderId: 80,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3090,
date: '2023/04/03',
}, {
orderId: 81,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1640,
date: '2023/04/24',
}, {
orderId: 82,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3585,
date: '2023/04/01',
}, {
orderId: 83,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1770,
date: '2023/04/01',
}, {
orderId: 84,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4005,
date: '2023/04/04',
}, {
orderId: 85,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2870,
date: '2023/04/02',
}, {
orderId: 86,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2023/04/20',
}, {
orderId: 87,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8640,
date: '2023/05/14',
}, {
orderId: 88,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5450,
date: '2023/05/24',
}, {
orderId: 89,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2535,
date: '2023/05/07',
}, {
orderId: 90,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1155,
date: '2023/05/20',
}, {
orderId: 91,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2023/05/18',
}, {
orderId: 92,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2023/05/19',
}, {
orderId: 93,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1215,
date: '2023/05/23',
}, {
orderId: 94,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1210,
date: '2023/05/08',
}, {
orderId: 95,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2023/05/25',
}, {
orderId: 96,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5400,
date: '2023/05/03',
}, {
orderId: 97,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5940,
date: '2023/05/25',
}, {
orderId: 98,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2023/05/22',
}, {
orderId: 99,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7950,
date: '2023/05/12',
}, {
orderId: 100,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3740,
date: '2023/05/24',
}, {
orderId: 101,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 990,
date: '2023/05/02',
}, {
orderId: 102,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 3190,
date: '2023/05/03',
}, {
orderId: 103,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2430,
date: '2023/05/11',
}, {
orderId: 104,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7380,
date: '2023/06/15',
}, {
orderId: 105,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4475,
date: '2023/06/08',
}, {
orderId: 106,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1290,
date: '2023/06/10',
}, {
orderId: 107,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2250,
date: '2023/06/10',
}, {
orderId: 108,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 350,
date: '2023/06/22',
}, {
orderId: 109,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5480,
date: '2023/06/24',
}, {
orderId: 110,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2355,
date: '2023/06/10',
}, {
orderId: 111,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1960,
date: '2023/06/23',
}, {
orderId: 112,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4125,
date: '2023/06/06',
}, {
orderId: 113,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7925,
date: '2023/06/12',
}, {
orderId: 114,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1120,
date: '2023/06/22',
}, {
orderId: 115,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5130,
date: '2023/06/10',
}, {
orderId: 116,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2475,
date: '2023/06/10',
}, {
orderId: 117,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2100,
date: '2023/06/06',
}, {
orderId: 118,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3570,
date: '2023/06/10',
}, {
orderId: 119,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 550,
date: '2023/06/02',
}, {
orderId: 120,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2850,
date: '2023/06/26',
}, {
orderId: 121,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1460,
date: '2023/06/17',
}, {
orderId: 122,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 960,
date: '2023/06/17',
}, {
orderId: 123,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1520,
date: '2023/06/03',
}, {
orderId: 124,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6750,
date: '2023/06/21',
}, {
orderId: 125,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7260,
date: '2023/07/14',
}, {
orderId: 126,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2450,
date: '2023/07/11',
}, {
orderId: 127,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3540,
date: '2023/07/02',
}, {
orderId: 128,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2023/07/03',
}, {
orderId: 129,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 360,
date: '2023/07/07',
}, {
orderId: 130,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4500,
date: '2023/07/03',
}, {
orderId: 131,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4575,
date: '2023/07/21',
}, {
orderId: 132,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2310,
date: '2023/07/18',
}, {
orderId: 133,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2023/07/04',
}, {
orderId: 134,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3575,
date: '2023/07/23',
}, {
orderId: 135,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 760,
date: '2023/07/01',
}, {
orderId: 136,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3480,
date: '2023/07/23',
}, {
orderId: 137,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4875,
date: '2023/07/11',
}, {
orderId: 138,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4980,
date: '2023/07/19',
}, {
orderId: 139,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2580,
date: '2023/07/04',
}, {
orderId: 140,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2650,
date: '2023/07/16',
}, {
orderId: 141,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1190,
date: '2023/07/02',
}, {
orderId: 142,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 960,
date: '2023/07/26',
}, {
orderId: 143,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3600,
date: '2023/08/08',
}, {
orderId: 144,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2250,
date: '2023/08/01',
}, {
orderId: 145,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1275,
date: '2023/08/02',
}, {
orderId: 146,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3885,
date: '2023/08/14',
}, {
orderId: 147,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1900,
date: '2023/08/05',
}, {
orderId: 148,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2300,
date: '2023/08/09',
}, {
orderId: 149,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2895,
date: '2023/08/15',
}, {
orderId: 150,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 350,
date: '2023/08/20',
}, {
orderId: 151,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4200,
date: '2023/08/22',
}, {
orderId: 152,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7175,
date: '2023/08/14',
}, {
orderId: 153,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4420,
date: '2023/08/24',
}, {
orderId: 154,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 6990,
date: '2023/08/22',
}, {
orderId: 155,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2125,
date: '2023/08/05',
}, {
orderId: 156,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2220,
date: '2023/08/16',
}, {
orderId: 157,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1575,
date: '2023/08/23',
}, {
orderId: 158,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1880,
date: '2023/08/12',
}, {
orderId: 159,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 710,
date: '2023/08/25',
}, {
orderId: 160,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2023/08/20',
}, {
orderId: 161,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4635,
date: '2023/08/04',
}, {
orderId: 162,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4350,
date: '2023/08/19',
}, {
orderId: 163,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 6020,
date: '2023/08/02',
}, {
orderId: 164,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3660,
date: '2023/08/19',
}, {
orderId: 165,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2023/08/24',
}, {
orderId: 166,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4410,
date: '2023/09/12',
}, {
orderId: 167,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1725,
date: '2023/09/07',
}, {
orderId: 168,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2715,
date: '2023/09/14',
}, {
orderId: 169,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2820,
date: '2023/09/08',
}, {
orderId: 170,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2310,
date: '2023/09/12',
}, {
orderId: 171,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 780,
date: '2023/09/08',
}, {
orderId: 172,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2370,
date: '2023/09/19',
}, {
orderId: 173,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1410,
date: '2023/09/09',
}, {
orderId: 174,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1825,
date: '2023/09/23',
}, {
orderId: 175,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4075,
date: '2023/09/06',
}, {
orderId: 176,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1020,
date: '2023/09/04',
}, {
orderId: 177,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2023/09/08',
}, {
orderId: 178,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3050,
date: '2023/09/04',
}, {
orderId: 179,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5080,
date: '2023/09/25',
}, {
orderId: 180,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1125,
date: '2023/09/13',
}, {
orderId: 181,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 850,
date: '2023/09/24',
}, {
orderId: 182,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1440,
date: '2023/09/19',
}, {
orderId: 183,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1950,
date: '2023/09/02',
}, {
orderId: 184,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6390,
date: '2023/10/11',
}, {
orderId: 185,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2023/10/02',
}, {
orderId: 186,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3510,
date: '2023/10/24',
}, {
orderId: 187,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2730,
date: '2023/10/15',
}, {
orderId: 188,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2070,
date: '2023/10/15',
}, {
orderId: 189,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2320,
date: '2023/10/18',
}, {
orderId: 190,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4260,
date: '2023/10/24',
}, {
orderId: 191,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 840,
date: '2023/10/18',
}, {
orderId: 192,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7300,
date: '2023/10/24',
}, {
orderId: 193,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5950,
date: '2023/10/11',
}, {
orderId: 194,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3220,
date: '2023/10/25',
}, {
orderId: 195,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4470,
date: '2023/10/05',
}, {
orderId: 196,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3675,
date: '2023/10/23',
}, {
orderId: 197,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4260,
date: '2023/10/01',
}, {
orderId: 198,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4245,
date: '2023/10/26',
}, {
orderId: 199,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1470,
date: '2023/10/01',
}, {
orderId: 200,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1810,
date: '2023/10/02',
}, {
orderId: 201,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 600,
date: '2023/10/23',
}, {
orderId: 202,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7500,
date: '2023/11/03',
}, {
orderId: 203,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4625,
date: '2023/11/02',
}, {
orderId: 204,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2023/11/09',
}, {
orderId: 205,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2023/11/15',
}, {
orderId: 206,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2420,
date: '2023/11/15',
}, {
orderId: 207,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4180,
date: '2023/11/15',
}, {
orderId: 208,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3720,
date: '2023/11/25',
}, {
orderId: 209,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2730,
date: '2023/11/08',
}, {
orderId: 210,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3775,
date: '2023/11/17',
}, {
orderId: 211,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3525,
date: '2023/11/15',
}, {
orderId: 212,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5320,
date: '2023/11/08',
}, {
orderId: 213,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7050,
date: '2023/11/14',
}, {
orderId: 214,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4200,
date: '2023/11/18',
}, {
orderId: 215,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4960,
date: '2023/11/04',
}, {
orderId: 216,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2280,
date: '2023/11/13',
}, {
orderId: 217,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 590,
date: '2023/11/11',
}, {
orderId: 218,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 810,
date: '2023/11/12',
}, {
orderId: 219,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2625,
date: '2023/11/07',
}, {
orderId: 220,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 8280,
date: '2023/12/01',
}, {
orderId: 221,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5650,
date: '2023/12/19',
}, {
orderId: 222,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2760,
date: '2023/12/14',
}, {
orderId: 223,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2670,
date: '2023/12/03',
}, {
orderId: 224,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2520,
date: '2023/12/20',
}, {
orderId: 225,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4080,
date: '2023/12/21',
}, {
orderId: 226,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4140,
date: '2023/12/22',
}, {
orderId: 227,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 390,
date: '2023/12/04',
}, {
orderId: 228,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1400,
date: '2023/12/19',
}, {
orderId: 229,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7275,
date: '2023/12/22',
}, {
orderId: 230,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4100,
date: '2023/12/20',
}, {
orderId: 231,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 7290,
date: '2023/12/05',
}, {
orderId: 232,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 625,
date: '2023/12/22',
}, {
orderId: 233,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4460,
date: '2023/12/12',
}, {
orderId: 234,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3825,
date: '2023/12/13',
}, {
orderId: 235,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2850,
date: '2023/12/17',
}, {
orderId: 236,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2780,
date: '2023/12/07',
}, {
orderId: 237,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 840,
date: '2023/12/18',
}, {
orderId: 238,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2970,
date: '2023/12/23',
}, {
orderId: 239,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 945,
date: '2023/12/06',
}, {
orderId: 240,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2625,
date: '2023/12/04',
}, {
orderId: 241,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 390,
date: '2023/12/01',
}, {
orderId: 242,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 7710,
date: '2024/01/18',
}, {
orderId: 243,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7975,
date: '2024/01/10',
}, {
orderId: 244,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3285,
date: '2024/01/13',
}, {
orderId: 245,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2580,
date: '2024/01/22',
}, {
orderId: 246,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2160,
date: '2024/01/26',
}, {
orderId: 247,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1100,
date: '2024/01/25',
}, {
orderId: 248,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4425,
date: '2024/01/21',
}, {
orderId: 249,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2024/01/22',
}, {
orderId: 250,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 3250,
date: '2024/01/14',
}, {
orderId: 251,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5550,
date: '2024/01/21',
}, {
orderId: 252,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2860,
date: '2024/01/25',
}, {
orderId: 253,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3450,
date: '2024/01/24',
}, {
orderId: 254,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5425,
date: '2024/01/11',
}, {
orderId: 255,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4860,
date: '2024/01/12',
}, {
orderId: 256,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4695,
date: '2024/01/16',
}, {
orderId: 257,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 610,
date: '2024/01/05',
}, {
orderId: 258,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1580,
date: '2024/01/15',
}, {
orderId: 259,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3780,
date: '2024/02/18',
}, {
orderId: 260,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5400,
date: '2024/02/21',
}, {
orderId: 261,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 630,
date: '2024/02/18',
}, {
orderId: 262,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3960,
date: '2024/02/04',
}, {
orderId: 263,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2010,
date: '2024/02/25',
}, {
orderId: 264,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5000,
date: '2024/02/01',
}, {
orderId: 265,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1995,
date: '2024/02/20',
}, {
orderId: 266,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 860,
date: '2024/02/12',
}, {
orderId: 267,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2150,
date: '2024/02/10',
}, {
orderId: 268,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4050,
date: '2024/02/06',
}, {
orderId: 269,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2024/02/18',
}, {
orderId: 270,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3390,
date: '2024/02/03',
}, {
orderId: 271,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4425,
date: '2024/02/15',
}, {
orderId: 272,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1180,
date: '2024/02/23',
}, {
orderId: 273,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 360,
date: '2024/02/08',
}, {
orderId: 274,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2310,
date: '2024/02/13',
}, {
orderId: 275,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1770,
date: '2024/02/20',
}, {
orderId: 276,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3060,
date: '2024/02/26',
}, {
orderId: 277,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1750,
date: '2024/02/12',
}, {
orderId: 278,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2280,
date: '2024/03/09',
}, {
orderId: 279,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7600,
date: '2024/03/25',
}, {
orderId: 280,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1035,
date: '2024/03/23',
}, {
orderId: 281,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1245,
date: '2024/03/01',
}, {
orderId: 282,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2860,
date: '2024/03/19',
}, {
orderId: 283,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 440,
date: '2024/03/19',
}, {
orderId: 284,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4665,
date: '2024/03/02',
}, {
orderId: 285,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2270,
date: '2024/03/15',
}, {
orderId: 286,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5000,
date: '2024/03/09',
}, {
orderId: 287,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5100,
date: '2024/03/23',
}, {
orderId: 288,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2120,
date: '2024/03/11',
}, {
orderId: 289,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9510,
date: '2024/03/19',
}, {
orderId: 290,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7600,
date: '2024/03/21',
}, {
orderId: 291,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5420,
date: '2024/03/15',
}, {
orderId: 292,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1980,
date: '2024/03/05',
}, {
orderId: 293,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1820,
date: '2024/03/07',
}, {
orderId: 294,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1670,
date: '2024/03/21',
}, {
orderId: 295,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4800,
date: '2024/03/08',
}, {
orderId: 296,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2925,
date: '2024/03/03',
}, {
orderId: 297,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 2940,
date: '2024/04/11',
}, {
orderId: 298,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3525,
date: '2024/04/13',
}, {
orderId: 299,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2475,
date: '2024/04/22',
}, {
orderId: 300,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3315,
date: '2024/04/08',
}, {
orderId: 301,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3140,
date: '2024/04/07',
}, {
orderId: 302,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2520,
date: '2024/04/01',
}, {
orderId: 303,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1200,
date: '2024/04/10',
}, {
orderId: 304,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2060,
date: '2024/04/21',
}, {
orderId: 305,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7875,
date: '2024/04/02',
}, {
orderId: 306,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1450,
date: '2024/04/07',
}, {
orderId: 307,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2640,
date: '2024/04/22',
}, {
orderId: 308,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4500,
date: '2024/04/05',
}, {
orderId: 309,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5050,
date: '2024/04/11',
}, {
orderId: 310,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2940,
date: '2024/04/02',
}, {
orderId: 311,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2880,
date: '2024/04/14',
}, {
orderId: 312,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1050,
date: '2024/04/19',
}, {
orderId: 313,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1850,
date: '2024/04/02',
}, {
orderId: 314,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3160,
date: '2024/04/01',
}, {
orderId: 315,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 875,
date: '2024/04/04',
}, {
orderId: 316,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1380,
date: '2024/04/21',
}, {
orderId: 317,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 3060,
date: '2024/04/06',
}, {
orderId: 318,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6690,
date: '2024/05/19',
}, {
orderId: 319,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2024/05/15',
}, {
orderId: 320,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4665,
date: '2024/05/10',
}, {
orderId: 321,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4530,
date: '2024/05/18',
}, {
orderId: 322,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1330,
date: '2024/05/08',
}, {
orderId: 323,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1720,
date: '2024/05/20',
}, {
orderId: 324,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3750,
date: '2024/05/16',
}, {
orderId: 325,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1290,
date: '2024/05/10',
}, {
orderId: 326,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4925,
date: '2024/05/14',
}, {
orderId: 327,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4300,
date: '2024/05/22',
}, {
orderId: 328,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5740,
date: '2024/05/08',
}, {
orderId: 329,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1440,
date: '2024/05/21',
}, {
orderId: 330,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5975,
date: '2024/05/25',
}, {
orderId: 331,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4440,
date: '2024/05/05',
}, {
orderId: 332,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2310,
date: '2024/05/24',
}, {
orderId: 333,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2250,
date: '2024/05/06',
}, {
orderId: 334,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2320,
date: '2024/05/14',
}, {
orderId: 335,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5190,
date: '2024/06/26',
}, {
orderId: 336,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 925,
date: '2024/06/04',
}, {
orderId: 337,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2024/06/20',
}, {
orderId: 338,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3180,
date: '2024/06/23',
}, {
orderId: 339,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 780,
date: '2024/06/13',
}, {
orderId: 340,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 4680,
date: '2024/06/08',
}, {
orderId: 341,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 2475,
date: '2024/06/25',
}, {
orderId: 342,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1920,
date: '2024/06/20',
}, {
orderId: 343,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7500,
date: '2024/06/25',
}, {
orderId: 344,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2024/06/26',
}, {
orderId: 345,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2400,
date: '2024/06/08',
}, {
orderId: 346,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5430,
date: '2024/06/03',
}, {
orderId: 347,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4475,
date: '2024/06/19',
}, {
orderId: 348,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 1420,
date: '2024/06/20',
}, {
orderId: 349,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2670,
date: '2024/06/25',
}, {
orderId: 350,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2024/06/02',
}, {
orderId: 351,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 580,
date: '2024/06/25',
}, {
orderId: 352,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1620,
date: '2024/06/12',
}, {
orderId: 353,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4530,
date: '2024/06/02',
}, {
orderId: 354,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6025,
date: '2024/06/23',
}, {
orderId: 355,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3540,
date: '2024/07/21',
}, {
orderId: 356,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3000,
date: '2024/07/01',
}, {
orderId: 357,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3240,
date: '2024/07/26',
}, {
orderId: 358,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2265,
date: '2024/07/22',
}, {
orderId: 359,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 400,
date: '2024/07/09',
}, {
orderId: 360,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 1460,
date: '2024/07/08',
}, {
orderId: 361,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1620,
date: '2024/07/18',
}, {
orderId: 362,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2400,
date: '2024/07/25',
}, {
orderId: 363,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5275,
date: '2024/07/04',
}, {
orderId: 364,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 4475,
date: '2024/07/03',
}, {
orderId: 365,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3980,
date: '2024/07/21',
}, {
orderId: 366,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 5700,
date: '2024/07/18',
}, {
orderId: 367,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 5575,
date: '2024/07/01',
}, {
orderId: 368,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2160,
date: '2024/07/02',
}, {
orderId: 369,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 960,
date: '2024/07/09',
}, {
orderId: 370,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1280,
date: '2024/07/04',
}, {
orderId: 371,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1040,
date: '2024/07/02',
}, {
orderId: 372,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1760,
date: '2024/07/25',
}, {
orderId: 373,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4080,
date: '2024/07/07',
}, {
orderId: 374,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1000,
date: '2024/07/21',
}, {
orderId: 375,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1770,
date: '2024/08/23',
}, {
orderId: 376,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2700,
date: '2024/08/09',
}, {
orderId: 377,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2175,
date: '2024/08/03',
}, {
orderId: 378,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3375,
date: '2024/08/11',
}, {
orderId: 379,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2040,
date: '2024/08/01',
}, {
orderId: 380,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3000,
date: '2024/08/21',
}, {
orderId: 381,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3900,
date: '2024/08/16',
}, {
orderId: 382,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1370,
date: '2024/08/20',
}, {
orderId: 383,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 5700,
date: '2024/08/01',
}, {
orderId: 384,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1275,
date: '2024/08/22',
}, {
orderId: 385,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 4060,
date: '2024/08/13',
}, {
orderId: 386,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4560,
date: '2024/08/20',
}, {
orderId: 387,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7575,
date: '2024/08/20',
}, {
orderId: 388,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 700,
date: '2024/08/25',
}, {
orderId: 389,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2024/08/16',
}, {
orderId: 390,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1390,
date: '2024/08/15',
}, {
orderId: 391,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1320,
date: '2024/08/09',
}, {
orderId: 392,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1680,
date: '2024/08/09',
}, {
orderId: 393,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1500,
date: '2024/08/11',
}, {
orderId: 394,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 6150,
date: '2024/09/21',
}, {
orderId: 395,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3675,
date: '2024/09/02',
}, {
orderId: 396,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 2250,
date: '2024/09/05',
}, {
orderId: 397,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 3585,
date: '2024/09/10',
}, {
orderId: 398,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1470,
date: '2024/09/01',
}, {
orderId: 399,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2260,
date: '2024/09/02',
}, {
orderId: 400,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3765,
date: '2024/09/03',
}, {
orderId: 401,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1640,
date: '2024/09/04',
}, {
orderId: 402,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4475,
date: '2024/09/09',
}, {
orderId: 403,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5975,
date: '2024/09/04',
}, {
orderId: 404,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1100,
date: '2024/09/16',
}, {
orderId: 405,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9210,
date: '2024/09/09',
}, {
orderId: 406,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2024/09/01',
}, {
orderId: 407,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3620,
date: '2024/09/19',
}, {
orderId: 408,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4275,
date: '2024/09/01',
}, {
orderId: 409,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2370,
date: '2024/09/03',
}, {
orderId: 410,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1870,
date: '2024/09/10',
}, {
orderId: 411,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2070,
date: '2024/09/25',
}, {
orderId: 412,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5025,
date: '2024/09/19',
}, {
orderId: 413,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 1080,
date: '2024/10/15',
}, {
orderId: 414,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1400,
date: '2024/10/22',
}, {
orderId: 415,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 4260,
date: '2024/10/01',
}, {
orderId: 416,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 2745,
date: '2024/10/01',
}, {
orderId: 417,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2920,
date: '2024/10/23',
}, {
orderId: 418,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3520,
date: '2024/10/11',
}, {
orderId: 419,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4035,
date: '2024/10/20',
}, {
orderId: 420,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1730,
date: '2024/10/05',
}, {
orderId: 421,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 975,
date: '2024/10/06',
}, {
orderId: 422,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5700,
date: '2024/10/06',
}, {
orderId: 423,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5080,
date: '2024/10/18',
}, {
orderId: 424,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1230,
date: '2024/10/11',
}, {
orderId: 425,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 600,
date: '2024/10/08',
}, {
orderId: 426,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3700,
date: '2024/10/08',
}, {
orderId: 427,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3375,
date: '2024/10/11',
}, {
orderId: 428,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1500,
date: '2024/10/17',
}, {
orderId: 429,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 370,
date: '2024/10/05',
}, {
orderId: 430,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2340,
date: '2024/10/16',
}, {
orderId: 431,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1080,
date: '2024/10/08',
}, {
orderId: 432,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 2775,
date: '2024/10/21',
}, {
orderId: 433,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4380,
date: '2024/11/09',
}, {
orderId: 434,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 5500,
date: '2024/11/21',
}, {
orderId: 435,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1920,
date: '2024/11/24',
}, {
orderId: 436,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 765,
date: '2024/11/24',
}, {
orderId: 437,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 370,
date: '2024/11/18',
}, {
orderId: 438,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3500,
date: '2024/11/25',
}, {
orderId: 439,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 825,
date: '2024/11/09',
}, {
orderId: 440,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 490,
date: '2024/11/23',
}, {
orderId: 441,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7075,
date: '2024/11/20',
}, {
orderId: 442,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 1350,
date: '2024/11/25',
}, {
orderId: 443,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 1440,
date: '2024/11/15',
}, {
orderId: 444,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1110,
date: '2024/11/03',
}, {
orderId: 445,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 1150,
date: '2024/11/23',
}, {
orderId: 446,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2040,
date: '2024/11/20',
}, {
orderId: 447,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2024/11/24',
}, {
orderId: 448,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1940,
date: '2024/11/24',
}, {
orderId: 449,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 3090,
date: '2024/11/16',
}, {
orderId: 450,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4900,
date: '2024/11/05',
}, {
orderId: 451,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3465,
date: '2024/11/07',
}, {
orderId: 452,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1110,
date: '2024/11/20',
}, {
orderId: 453,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1650,
date: '2024/11/02',
}, {
orderId: 454,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5280,
date: '2024/12/04',
}, {
orderId: 455,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 3075,
date: '2024/12/02',
}, {
orderId: 456,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 690,
date: '2024/12/07',
}, {
orderId: 457,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1305,
date: '2024/12/15',
}, {
orderId: 458,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1970,
date: '2024/12/01',
}, {
orderId: 459,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3760,
date: '2024/12/18',
}, {
orderId: 460,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1920,
date: '2024/12/22',
}, {
orderId: 461,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1360,
date: '2024/12/12',
}, {
orderId: 462,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2525,
date: '2024/12/06',
}, {
orderId: 463,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 5575,
date: '2024/12/20',
}, {
orderId: 464,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5560,
date: '2024/12/10',
}, {
orderId: 465,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 2820,
date: '2024/12/10',
}, {
orderId: 466,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 4000,
date: '2024/12/12',
}, {
orderId: 467,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 5820,
date: '2024/12/02',
}, {
orderId: 468,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 1275,
date: '2024/12/12',
}, {
orderId: 469,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1310,
date: '2024/12/01',
}, {
orderId: 470,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2180,
date: '2024/12/26',
}, {
orderId: 471,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4470,
date: '2024/12/17',
}, {
orderId: 472,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2990,
date: '2024/12/15',
}, {
orderId: 473,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 7650,
date: '2024/12/18',
}, {
orderId: 474,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 780,
date: '2024/12/02',
}, {
orderId: 475,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2970,
date: '2024/12/13',
}, {
orderId: 476,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1155,
date: '2024/12/05',
}, {
orderId: 477,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4470,
date: '2025/01/10',
}, {
orderId: 478,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 1125,
date: '2025/01/21',
}, {
orderId: 479,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 645,
date: '2025/01/17',
}, {
orderId: 480,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 675,
date: '2025/01/05',
}, {
orderId: 481,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2840,
date: '2025/01/05',
}, {
orderId: 482,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2660,
date: '2025/01/04',
}, {
orderId: 483,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4560,
date: '2025/01/12',
}, {
orderId: 484,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2880,
date: '2025/01/20',
}, {
orderId: 485,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 500,
date: '2025/01/02',
}, {
orderId: 486,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 3925,
date: '2025/01/07',
}, {
orderId: 487,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5660,
date: '2025/01/18',
}, {
orderId: 488,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 4830,
date: '2025/01/13',
}, {
orderId: 489,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3075,
date: '2025/01/22',
}, {
orderId: 490,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 3120,
date: '2025/01/14',
}, {
orderId: 491,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3525,
date: '2025/01/23',
}, {
orderId: 492,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1930,
date: '2025/01/09',
}, {
orderId: 493,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2890,
date: '2025/01/02',
}, {
orderId: 494,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 1545,
date: '2025/01/17',
}, {
orderId: 495,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3630,
date: '2025/01/20',
}, {
orderId: 496,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 4035,
date: '2025/01/14',
}, {
orderId: 497,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 345,
date: '2025/01/06',
}, {
orderId: 498,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 7000,
date: '2025/01/07',
}, {
orderId: 499,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 3060,
date: '2025/02/13',
}, {
orderId: 500,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 6425,
date: '2025/02/04',
}, {
orderId: 501,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 615,
date: '2025/02/22',
}, {
orderId: 502,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1755,
date: '2025/02/07',
}, {
orderId: 503,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1540,
date: '2025/02/21',
}, {
orderId: 504,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 2820,
date: '2025/02/24',
}, {
orderId: 505,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4305,
date: '2025/02/10',
}, {
orderId: 506,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 1520,
date: '2025/02/26',
}, {
orderId: 507,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 4725,
date: '2025/02/18',
}, {
orderId: 508,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 6750,
date: '2025/02/16',
}, {
orderId: 509,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 5540,
date: '2025/02/07',
}, {
orderId: 510,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9300,
date: '2025/02/03',
}, {
orderId: 511,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3700,
date: '2025/02/26',
}, {
orderId: 512,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 740,
date: '2025/02/01',
}, {
orderId: 513,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4755,
date: '2025/02/23',
}, {
orderId: 514,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2570,
date: '2025/02/20',
}, {
orderId: 515,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 2860,
date: '2025/02/19',
}, {
orderId: 516,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 5430,
date: '2025/03/21',
}, {
orderId: 517,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 4525,
date: '2025/03/21',
}, {
orderId: 518,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 1515,
date: '2025/03/10',
}, {
orderId: 519,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 630,
date: '2025/03/15',
}, {
orderId: 520,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1310,
date: '2025/03/01',
}, {
orderId: 521,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3200,
date: '2025/03/17',
}, {
orderId: 522,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 3945,
date: '2025/03/20',
}, {
orderId: 523,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2990,
date: '2025/03/18',
}, {
orderId: 524,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1125,
date: '2025/03/22',
}, {
orderId: 525,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7950,
date: '2025/03/17',
}, {
orderId: 526,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 2960,
date: '2025/03/25',
}, {
orderId: 527,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3930,
date: '2025/03/23',
}, {
orderId: 528,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6975,
date: '2025/03/02',
}, {
orderId: 529,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4220,
date: '2025/03/17',
}, {
orderId: 530,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 3090,
date: '2025/03/25',
}, {
orderId: 531,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2380,
date: '2025/03/01',
}, {
orderId: 532,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1510,
date: '2025/03/07',
}, {
orderId: 533,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 1020,
date: '2025/03/19',
}, {
orderId: 534,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 6700,
date: '2025/03/26',
}, {
orderId: 535,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4890,
date: '2025/04/02',
}, {
orderId: 536,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 7225,
date: '2025/04/13',
}, {
orderId: 537,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 795,
date: '2025/04/07',
}, {
orderId: 538,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1785,
date: '2025/04/03',
}, {
orderId: 539,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1850,
date: '2025/04/03',
}, {
orderId: 540,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 5120,
date: '2025/04/12',
}, {
orderId: 541,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 615,
date: '2025/04/07',
}, {
orderId: 542,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2860,
date: '2025/04/05',
}, {
orderId: 543,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1525,
date: '2025/04/24',
}, {
orderId: 544,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7425,
date: '2025/04/15',
}, {
orderId: 545,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 6080,
date: '2025/04/13',
}, {
orderId: 546,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 9390,
date: '2025/04/19',
}, {
orderId: 547,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3200,
date: '2025/04/26',
}, {
orderId: 548,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4380,
date: '2025/04/05',
}, {
orderId: 549,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 4725,
date: '2025/04/06',
}, {
orderId: 550,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 930,
date: '2025/04/25',
}, {
orderId: 551,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 1910,
date: '2025/04/05',
}, {
orderId: 552,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 2725,
date: '2025/04/16',
}, {
orderId: 553,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 4720,
date: '2025/04/02',
}, {
orderId: 554,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 2800,
date: '2025/04/26',
}, {
orderId: 555,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 3780,
date: '2025/04/24',
}, {
orderId: 556,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 2340,
date: '2025/04/17',
}, {
orderId: 557,
region: 'North America',
country: 'USA',
city: 'New York',
amount: 4830,
date: '2025/05/12',
}, {
orderId: 558,
region: 'North America',
country: 'USA',
city: 'Los Angeles',
amount: 2075,
date: '2025/05/23',
}, {
orderId: 559,
region: 'North America',
country: 'USA',
city: 'Denver',
amount: 3420,
date: '2025/05/21',
}, {
orderId: 560,
region: 'North America',
country: 'CAN',
city: 'Vancouver',
amount: 1440,
date: '2025/05/10',
}, {
orderId: 561,
region: 'North America',
country: 'CAN',
city: 'Edmonton',
amount: 1680,
date: '2025/05/15',
}, {
orderId: 562,
region: 'South America',
country: 'BRA',
city: 'Rio de Janeiro',
amount: 3440,
date: '2025/05/16',
}, {
orderId: 563,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 4695,
date: '2025/05/10',
}, {
orderId: 564,
region: 'South America',
country: 'PRY',
city: 'Asuncion',
amount: 2380,
date: '2025/05/06',
}, {
orderId: 565,
region: 'Europe',
country: 'GBR',
city: 'London',
amount: 1875,
date: '2025/05/25',
}, {
orderId: 566,
region: 'Europe',
country: 'DEU',
city: 'Berlin',
amount: 7550,
date: '2025/05/14',
}, {
orderId: 567,
region: 'Europe',
country: 'ESP',
city: 'Madrid',
amount: 3340,
date: '2025/05/01',
}, {
orderId: 568,
region: 'Asia',
country: 'JPN',
city: 'Tokyo',
amount: 8370,
date: '2025/05/13',
}, {
orderId: 569,
region: 'Asia',
country: 'KOR',
city: 'Seoul',
amount: 3550,
date: '2025/05/26',
}, {
orderId: 570,
region: 'Australia',
country: 'AUS',
city: 'Sydney',
amount: 2620,
date: '2025/05/17',
}, {
orderId: 571,
region: 'Australia',
country: 'AUS',
city: 'Melbourne',
amount: 2400,
date: '2025/05/21',
}, {
orderId: 572,
region: 'Africa',
country: 'ZAF',
city: 'Pretoria',
amount: 1740,
date: '2025/05/21',
}, {
orderId: 573,
region: 'Africa',
country: 'EGY',
city: 'Cairo',
amount: 500,
date: '2025/05/26',
}, {
orderId: 574,
region: 'South America',
country: 'ARG',
city: 'Buenos Aires',
amount: 780,
date: '2025/05/07',
}];
const layouts: Layout[] = [{
key: 0,
name: 'Layout0',
}, {
key: 1,
name: 'Layout1',
}, {
key: 2,
name: 'Layout2',
}];
export default {
getLayouts() {
return layouts;
},
getSales() {
return sales;
},
};
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>